%This script cannibalised from ONEYPathDirection to reprocess ONEY
%anttracks after I fixed a problem with some body angles being flipped
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% USER INPUTS:
%Enter the address of the folder containing the renamed trackit files
%below:
rawdir = {'D:\Dropbox\ONEYE analysis for Tom\200515 Platdur 0p20 flips corrected\Corrected track data still needs ONEYPathDirection'}; 
% rawdir = {'D:\Dropbox\Documents\1208 Sussex Ant Postdoc\180305 ONEYE\ONEYI\renamed'}; 
%files from first processing: just used to get correct length for data
origdir='D:\Dropbox\ONEYE analysis for Tom\191107 Platdur 0p20\Processed track data';
savedir = 'D:\Dropbox\ONEYE analysis for Tom\200515 Platdur 0p20 flips corrected\200609 New PathDirection processing';
globalsavename='200609ONEYPathDirsEtc';
% savefigdir='D:\Dropbox\ONEYE analysis for Tom\181223 Figures'
%The following are settings that rarely, if ever, need to be changed.
%In the unlikely event you do need to change them, do so below and re-save
%this script for the changes to take effect
%
%Enter the location of the experiment identifier in the folder address
%below. This is the character numbers of the experiment ID in 'rawdir',
%above (e.g. if the name of your experiment is written in the 70th, 71st,
%72nd, 73rd and 74th characters of the folder address [as they always wre
%on my computer], the next line should read 'experimentid=rawdir(70:74)').     
%NB: this should not change from experiment to experiment, if you keep all
%your data in the same place.
eid=rawdir{1,:};
experimentid=eid(12:16);
%The following 2 lines contain the position of the start pot as read of
%from the main trackit window when collecting data. In theory they should
%both be 0 when the thing is calibrated, but they are usually slightly off
%and we can use the data to correct for any errors, here. NB: these do not
%change very often and I have been able to use the same values for all our
%experiments so far
Azi0=-0.29; %The azimuth and elevation of the camera when it is facing the exact centre of the startpot. Entering these here allows us to correct for any errors caused by the camera not facing zero at the start (e.g. arena has shifted slightly relative to the camera calibration). Setting these to zero will ensure no correction is performed.
Ele0=2.00;
%Enter the radius of the arena below. The cylindrical ant arena is 150cm in
%radius, so you do not need to adjust this at all for any experiment
%conducted in the normal arena.
patterndistance=150;
%Radius at which food was placed. Used for calculating whther ant is facing
%toward the food at any given moment
fooddistance=55;
%This option allows you to save figures for each individual ant path
saveindivflag=0;
%Minperiod is how long the ant needs to be still for (either in terms of
%rotation or translational movement or both) in order for us to classify as
%a still period or rotational plateau
minstillperiod=0.20;
maxturnsize=3;
maxslope=1;
chunksize=1.5;
%% *
%Tom wanted to group paths according to whther they were within +/-30deg of
%the goal direction, >30 or <-30. The following variable allows you to
%specify the angle for classification in case 30 deg proves too large or
%small
classificationangle=25;
%We can look for the point the ant crosses any number of imaginary radii
%from the center
internalradii=[30; 45; 50];
%Choose whether to plot paths
plotindivpathfigs=0;
plotfaceanglefigs=0;
plotmultipathfigs=0;
plotcomparisonfigs=0;
plotnewpathfigs=0; %figures showing ant path with points where ant faces goal marked with red dot
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
tic
% if plotindivpathfigs==1 | plotfaceanglefigs==1 | plotmultipathfigs==1
% savefigdir=[savedir '\figures'];
%  mkdir(savefigdir);
% end
% if plotindivpathfigs==1 | plotfaceanglefigs==1 
% saveindivfigdir=[savefigdir '\individualruns'];
%  mkdir(saveindivfigdir);
% end
if plotmultipathfigs==1
savemultipathfigdir=[savedir '\Multipath figures']; 
 mkdir(savemultipathfigdir);
end
% if plotcomparisonfigs==1
% savecomparisonfigdir=[savefigdir '\plateaucomparison'];
%  mkdir(savecomparisonfigdir);
% end
if plotindivpathfigs==1
ipsavematdir=[savedir '\Individual path figures mat'];
ipsavematT1dir=[savedir '\Individual path figures mat\Test 1'];
ipsavematT2dir=[savedir '\Individual path figures mat\Test 2'];
ipsavematT3dir=[savedir '\Individual path figures mat\Test 3'];
ipsavetiffdir=[savedir '\Individual path figures tif'];
ipsavetiffT1dir=[savedir '\Individual path figures tif\Test 1'];
ipsavetiffT2dir=[savedir '\Individual path figures tif\Test 2'];
ipsavetiffT3dir=[savedir '\Individual path figures tif\Test 3'];

mkdir(ipsavematdir);mkdir(ipsavematT1dir);mkdir(ipsavematT2dir);mkdir(ipsavematT3dir);
mkdir(ipsavetiffdir);mkdir(ipsavetiffT1dir);mkdir(ipsavetiffT2dir);mkdir(ipsavetiffT3dir);
end
if plotfaceanglefigs==1
fasavematdir=[savedir '\Facing angle figures mat'];
fasavematT1dir=[savedir '\Facing angle figures mat\Test 1'];
fasavematT2dir=[savedir '\Facing angle figures mat\Test 2'];
fasavematT3dir=[savedir '\Facing angle figures mat\ Test 3'];
fasavetiffdir=[savedir '\Facing angle figures tif'];
fasavetiffT1dir=[savedir '\Facing angle figures tif\Test 1'];
fasavetiffT2dir=[savedir '\Facing angle figures tif\Test 2'];
fasavetiffT3dir=[savedir '\Facing angle figures tif\Test 3'];

mkdir(fasavematdir);mkdir(fasavematT1dir);mkdir(fasavematT2dir);mkdir(fasavematT3dir);
mkdir(fasavetiffdir);mkdir(fasavetiffT1dir);mkdir(fasavetiffT2dir);mkdir(fasavetiffT3dir);
end

if plotnewpathfigs==1
npsavematdir=[savedir '\Path and goal facing figures mat'];
npsavematT1dir=[savedir '\Path and goal facing figures mat\Test 1'];
npsavematT2dir=[savedir '\Path and goal facing figures mat\Test 2'];
npsavematT3dir=[savedir '\Path and goal facing figures mat\Test 3'];
npsavetiffdir=[savedir '\Path and goal facing figures tif'];
npsavetiffT1dir=[savedir '\Path and goal facing figures tif\Test 1'];
npsavetiffT2dir=[savedir '\Path and goal facing figures tif\Test 2'];
npsavetiffT3dir=[savedir '\Path and goal facing figures tif\Test 3'];

mkdir(npsavematdir);mkdir(npsavematT1dir);mkdir(npsavematT2dir);mkdir(npsavematT3dir);
mkdir(npsavetiffdir);mkdir(npsavetiffT1dir);mkdir(npsavetiffT2dir);mkdir(npsavetiffT3dir);
end

%Multipath figures
%Create figs
%Fig 100 = all training paths
%106 = all training pretest
%101 = all test1
%102 = all test2
%103 = all test3

%200 = training +/- 30d
%210 = training <-30d
%220 = training >30d
%206 = pretest training +-30d
%216 = pretest training <-30
%226 = pretest training >30
%201 = test1 +-30
%211 = test 1 <-30
%221 = test 1 >30
%202, 212, 222 = test 2
%203, 213, 223 = test 3

         scrsz = get(0,'ScreenSize');%gets screenzize setting. Used later to make figs the right size
        figpatternledgeang0=64.0986;
        figpatternredgeang0=45;
        figpatternledgeang1=109.0986;
        figpatternredgeang1=90;
        figpatternledgeang2=22.9183;
        figpatternredgeang2=3.8197;
        figpatternledgeang3=[];
        figpatternredgeang3=[];
        figfoodang=0;
        
        internalradiidir=(ones(361,length(internalradii)));
        for irind=1:length(internalradii);
          internalradiidir(:,irind)=internalradii(irind);
        end
        stpotangs=(((18.4091:1:360-18.4091)')/360)*(2*pi);
        stpotrs=(ones(length(stpotangs),1))*4.75;
        upperguidex=[4.5069 4.5069+13]; upperguidey=[1.5 1.5];
        lowerguidex=[4.5069 4.5069+13]; lowerguidey=[-1.5 -1.5];
        arenaedge=(ones(361,1))*60;
        qt=(((0:1:360)')/360)*(2*pi);
        [stpotx,stpoty]=pol2cart(stpotangs,stpotrs);
        [internalradiidirx,internalradiidiry]=pol2cart(repmat(qt,1,length(internalradii)),internalradiidir);
        [arenaedgex,arenaedgey]=pol2cart(qt,arenaedge);
        [foodx,foody]=pol2cart(ang2rad(figfoodang),fooddistance);

%% *

if plotmultipathfigs==1;
    
  
  %Create figs 100, 106, 200, 210, 220, 206, 216, 226
        lmarkt=(((figpatternredgeang0:0.1:figpatternledgeang0)')/360)*(2*pi);
        [lmarkx,lmarky]=pol2cart(lmarkt,(ones(length(lmarkt),1))*60);
        
       figure(100); hold all; axis equal;
       set(gcf,'Position',[178 49 785 635]);
        titletext={'All training trials'};
        title(titletext);
        plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);
                %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');
        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 
 
        
      figure(106); hold all; axis equal;
       set(gcf,'Position',[178 49 785 635]);
        titletext={'Training trials preceding any test'};
        title(titletext);
        plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);
                %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');
        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 
 
       figure(200); hold all; axis equal;
       set(gcf,'Position',[178 49 785 635]);
        titletext={'Training trials'};
        titletext=[titletext; 'Mean facing direction within 30 degrees of feeder'];
        title(titletext);
        plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);
                %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');
        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 
 
       figure(210); hold all; axis equal;
       set(gcf,'Position',[178 49 785 635]);
        titletext={'Training trials'};
        titletext=[titletext; 'Mean facing direction >30 degrees left of feeder'];
        title(titletext);
        plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);
                %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');
        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 
 
       figure(220); hold all; axis equal;
       set(gcf,'Position',[178 49 785 635]);
        titletext={'Training trials'};
        titletext=[titletext; 'Mean facing direction >30 degrees right of feeder'];
        title(titletext);
        plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);
                %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');
        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 
 
       figure(206); hold all; axis equal;
       set(gcf,'Position',[178 49 785 635]);
        titletext={'Training trials preceding any test'};
        titletext=[titletext; 'Mean facing direction within 30 degrees of feeder'];
        title(titletext);
         plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);
                %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');
        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 
 
       figure(216); hold all; axis equal;
       set(gcf,'Position',[178 49 785 635]);
        titletext={'Training trials preceding any test'};
        titletext=[titletext; 'Mean facing direction >30 degrees left of feeder'];
        title(titletext);
         plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);
                %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');
        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 
 
       figure(226); hold all; axis equal;
       set(gcf,'Position',[178 49 785 635]);
        titletext={'Training trials preceding any test'};
        titletext=[titletext; 'Mean facing direction >30 degrees right of feeder'];
        title(titletext);
        plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);
                %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');
        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 
 
  %create figs 101, 201, 211, 221
        lmarkt=(((figpatternredgeang1:0.1:figpatternledgeang1)')/360)*(2*pi);
        [lmarkx,lmarky]=pol2cart(lmarkt,(ones(length(lmarkt),1))*60);
        
       figure(101); hold all; axis equal;
       set(gcf,'Position',[178 49 785 635]);
        titletext={'Test 1'};
        titletext=[titletext; 'All ants'];
        title(titletext);
        plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);
                %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');
        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 
 
       figure(201); hold all; axis equal;
       set(gcf,'Position',[178 49 785 635]);
        titletext={'Test 1'};
        titletext=[titletext; 'Mean facing direction within 30 degrees of feeder'];
        title(titletext);
         plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);
                %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');
        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 
 
       figure(211); hold all; axis equal;
       set(gcf,'Position',[178 49 785 635]);
        titletext={'Test 1'};
        titletext=[titletext; 'Mean facing direction >30 degrees left of feeder'];
        title(titletext);
        plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);
                %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');
        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 
 
       figure(221); hold all; axis equal;
       set(gcf,'Position',[178 49 785 635]);
        titletext={'Test 1'};
        titletext=[titletext; 'Mean facing direction >30 degrees right of feeder'];
        title(titletext);
         plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);
                %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');
        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 
 
  %create figs 102, 202, 212, 222
        lmarkt=(((figpatternredgeang2:0.1:figpatternledgeang2)')/360)*(2*pi);
        [lmarkx,lmarky]=pol2cart(lmarkt,(ones(length(lmarkt),1))*60);
        
       figure(102); hold all; axis equal;
       set(gcf,'Position',[178 49 785 635]);
        titletext={'Test 2'};
        titletext=[titletext; 'All ants'];
        title(titletext);
        plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);
                %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');
        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 
 
       figure(202); hold all; axis equal;
       set(gcf,'Position',[178 49 785 635]);
        titletext={'Test 2'};
        titletext=[titletext; 'Mean facing direction within 30 degrees of feeder'];
        title(titletext);
        plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);
                %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 
 
       figure(212); hold all; axis equal;
       set(gcf,'Position',[178 49 785 635]);
        titletext={'Test 2'};
        titletext=[titletext; 'Mean facing direction >30 degrees left of feeder'];
        title(titletext);
        plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);
                %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');
        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 
 
       figure(222); hold all; axis equal;
       set(gcf,'Position',[178 49 785 635]);
        titletext={'Test 2'};
        titletext=[titletext; 'Mean facing direction >30 degrees right of feeder'];
        title(titletext);
         plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);
                %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');
        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 
 
  %create figs 103, 203, 213, 223
        lmarkt=(((figpatternredgeang3:0.1:figpatternledgeang3)')/360)*(2*pi);
        [lmarkx,lmarky]=pol2cart(lmarkt,(ones(length(lmarkt),1))*60);
        
       figure(103); hold all; axis equal;
       set(gcf,'Position',[178 49 785 635]);
        titletext={'Test 3'};
        titletext=[titletext; 'All ants'];
        title(titletext);
        plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);
                %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');
        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 
 
       figure(203); hold all; axis equal;
       set(gcf,'Position',[178 49 785 635]);
        titletext={'Test 3'};
        titletext=[titletext; 'Mean facing direction within 30 degrees of feeder'];
        title(titletext);
        plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);
                %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');
        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 
 
       figure(213); hold all; axis equal;
       set(gcf,'Position',[178 49 785 635]);
        titletext={'Test 3'};
        titletext=[titletext; 'Mean facing direction >30 degrees left of feeder'];
        title(titletext);
         plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);
                %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');
        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 
 
       figure(223); hold all; axis equal;
       set(gcf,'Position',[178 49 785 635]);
        titletext={'Test 3'};
        titletext=[titletext; 'Mean facing direction >30 degrees right of feeder'];
        title(titletext);
        plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);
                %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');
        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 
        
%         %Compile vars to make heatmaps
 
  %Create counters
  antlist100={};
   pathcount100=0;
  antlist106={};
   pathcount106=0;
  antlist101={};
   pathcount101=0;
  antlist102={};
   pathcount102=0;   
  antlist103={};
   pathcount103=0;
  antlist200={};
   pathcount200=0;   
  antlist210={};
   pathcount210=0; 
  antlist220={};
   pathcount220=0; 
  antlist206={};
   pathcount206=0; 
  antlist216={};
   pathcount216=0; 
  antlist226={};
   pathcount226=0; 
  antlist201={};
   pathcount201=0; 
  antlist211={};
   pathcount211=0; 
  antlist221={};
   pathcount221=0; 
  antlist202={};
   pathcount202=0; 
  antlist212={};
   pathcount212=0; 
  antlist222={};
   pathcount222=0; 
  antlist203={};
   pathcount203=0; 
  antlist213={};
   pathcount213=0; 
  antlist223={};
   pathcount223=0; 
 
 
end %if plotmultipathfigs==1;
%% *
%create global variables
%1 dp per run
ARAntName={};
ARRunNo=[];
ARTestFlag=[];
ARTestType=[];
ARPosition=[];
ARPreTestFlag=[];
ARSupersededFlag=[];
ARNextTest=[];
ARfinalstartframe=[];
ARfinalendframe=[];
ARTrainingRunsUndertakenByAnt={};
ARTestsUndertakenByAnt={};
ARVeclengthWholePath=[];
ARMeandirWeightedWholePath60=[];
ARMeandirWeightedWholePath150=[];
ARMeandirWholePath60=[];
ARMeandirWholePath150=[];
ARVeclengthInChannel=[];
ARMeandirWeightedInChannel60=[];
ARMeandirWeightedInChannel150=[];
ARVeclengthTwentyForty=[];
ARMeandirWeightedTwentyForty60=[];
ARMeandirWeightedTwentyForty150=[];
ARVeclengthTwentyFifty=[];
ARMeandirWeightedTwentyFifty60=[];
ARMeandirWeightedTwentyFifty150=[];
ARClassDirWholePath=[];
ARClassDirTwentyForty=[];
ARClassDirTwentyFifty=[];
ARClassFramesWholePath=[];
ARClassFramesTwentyForty=[];
ARClassFramesTwentyFifty=[];
ARVeclengthFortyFive60=[];
ARMeandirFortyFive60=[];
ARMeandirWeightedFortyFive60=[];
ARVeclengthFortyFive150=[];
ARMeandirFortyFive150=[];
ARMeandirWeightedFortyFive150=[];
ARVeclengthThirty60=[];
ARMeandirThirty60=[];
ARMeandirWeightedThirty60=[];
ARVeclengthThirty150=[];
ARMeandirThirty150=[];
ARMeandirWeightedThirty150=[];

%1dp per wiggle
AWAntName={};
AWRunNo=[];
AWTestFlag=[];
AWTestType=[];
AWPosition=[];
AWPreTestFlag=[];
AWSupersededFlag=[];
AWNextTest=[];
AWClassDirWholePath=[];
AWClassDirTwentyForty=[];
AWClassDirTwentyFifty=[];
AWClassFramesWholePath=[];
AWClassFramesTwentyForty=[];
AWClassFramesTwentyFifty=[];
AWwigglestartindex=[];
AWwiggleendindex=[];
AWwiggledirection=[];
AWwiggleamplitude=[];
AWwigglestarttheta=[];
AWwiggleendtheta=[];
AWwiggleduration=[];
AWwiggledistancetravelled=[];
AWwiggleendr=[];
AWwigglesinchannel={};
AWwigglesinmainpath={};
AWwigglestartfacepattern=[];
AWwiggleendfacepattern=[];
AWwigglestartfacefood=[];
AWwiggleendfacefood=[];
AWinchannelflag=[];
AWinmainpathflag=[];
AWcrossredgeflag=[];
AWcrosszero60flag=[];
AWcrosszero150flag=[];
AWamplituderelativetoredge=[];
AWamplituderelativetozero60=[];
AWamplituderelativetozero150=[];
AWdistfromfeeder=[];
AWcrosscentreflag=[];
AWamplituderelativetocentre=[];

%1 dp per plateau
APAntName={};
APRunNo=[];
APTestFlag=[];
APTestType=[];
APPosition=[];
APPreTestFlag=[];
APSupersededFlag=[];
APNextTest=[];
APClassDirWholePath=[];
APClassDirTwentyForty=[];
APClassDirTwentyFifty=[];
APClassFramesWholePath=[];
APClassFramesTwentyForty=[];
APClassFramesTwentyFifty=[];
APplateauturnstartindex=[];
APplateaustartindex=[];
APplateauendindex=[];
APplateauturnstarttype=[];
APplateauturndirection=[];
APplateauturnstarttheta=[];
APplateautheta=[];
APplateauturnamplitude=[];
APplateauturndistancetravelled=[];
APplateauturnduration=[];
APplateauduration=[];
APplateauendr=[];
APplateausinchannel={};
APplateausinmainpath={};
APplateaustartfacepattern=[];
APplateauendfacepattern=[];
APplateaustartfacefood=[];
APplateauendfacefood=[];
APinchannelflag=[];
APinmainpathflag=[];
APcrossredgeflag=[];
APcrosszero60flag=[];
APcrosszero150flag=[];
APamplituderelativetoredge=[];
APamplituderelativetozero60=[];
APamplituderelativetozero150=[];
APdistfromfeeder=[];
APcrosscentreflag=[];
APamplituderelativetocentre=[];

%1dp per still point
ASAntName={};
ASRunNo=[];
ASTestFlag=[];
ASTestType=[];
ASPosition=[];
ASPreTestFlag=[];
ASSupersededFlag=[];
ASNextTest=[];
ASClassDirWholePath=[];
ASClassDirTwentyForty=[];
ASClassDirTwentyFifty=[];
ASClassFramesWholePath=[];
ASClassFramesTwentyForty=[];
ASClassFramesTwentyFifty=[];
ASstillstartindex=[];
ASstillendindex=[];
ASstilltheta=[];
ASstillduration=[];
ASstillendr=[];
ASstillinchannel={};
ASstillinmainpath={};
ASstillfacepattern=[];
ASstillfacefood=[];
ASinchannelflag=[];
ASinmainpathflag=[];


%1dp per motionless period
AMAntName={};
AMRunNo=[];
AMTestFlag=[];
AMTestType=[];
AMPosition=[];
AMPreTestFlag=[];
AMSupersededFlag=[];
AMNextTest=[];
AMClassDirWholePath=[];
AMClassDirTwentyForty=[];
AMClassDirTwentyFifty=[];
AMClassFramesWholePath=[];
AMClassFramesTwentyForty=[];
AMClassFramesTwentyFifty=[];
AMmotionlessstartindex=[];
AMmotionlessendindex=[];
AMmotionlessturnstartindex=[];
AMmotionlessturnstarttype=[];
AMmotionlessturndirection=[];
AMmotionlessturnstarttheta=[];
AMmotionlesstheta=[];
AMmotionlessturnamplitude=[];
AMmotionlessturndistancetravelled=[];
AMmotionlessturnduration=[];
AMmotionlessendr=[];
AMmotionlessinchannel={};
AMmotionlessinmainpath={};
AMmotionlessstartfacepattern=[];
AMmotionlessendfacepattern=[];
AMmotionlessstartfacefood=[];
AMmotionlessendfacefood=[];
AMinchannelflag=[];
AMinmainpathflag=[];
AMcrossredgeflag=[];
AMcrosszero60flag=[];
AMcrosszero150flag=[];
AMamplituderelativetoredge=[];
AMamplituderelativetozero60=[];
AMamplituderelativetozero150=[];
AMdistfromfeeder=[];
AMcrosscentreflag=[];
AMamplituderelativetocentre=[];

% pathdirdir= [rawdir '\pathdirections'];
% mkdir(pathdirdir);



% msg = {'Analyzing '; experimentid;'If wrong experiment change Directory On Line 4 of code'};
% h=msgbox(msg,'Experiment');
% uiwait(h);
% 
% prompt={'Any files to miss? (Separate with commas if more than one)',...
%     'Process training trials? (1=Yes, 0=No)',...
%     'Process tests? (1=Yes, 0=No)'};
% name = 'User Input';
% numlines = 1;
% %defaults added by JLW to save time = analyse all ants in all training
% %trials w dist to landmanrk as 150cm
% defaultanswer ={'0';'1';'1'};
% answer=inputdlg(prompt,name,numlines,defaultanswer);

load('calibration\calibrationAug2010.mat')    
TFORM=cp2tform(calib(:,3:4), calib(:,1:2), 'polynomial', 4);
%% *
%do each batch of ants in turn
for rind=1:length(rawdir)
%% *
cd (rawdir{rind});
d=dir('*.mat');

% %find list of all ants
% antcompile=[];
% for i=1:length(d)
%         antcompile=[antcompile; d(i).name(7:8)];
%         antlist=unique(antcompile,'rows');
% end
% 
% %find list of all tests in this batch of ants
% testcompile=[];traincompile=[]; pretestlist=[];
%     for j=1:length(d)
%         if strcmp('Ts',d(j).name(16:17)) == 1;
%             testcompile=[testcompile strread(d(j).name(11:13))];
%         else traincompile=[traincompile strread(d(j).name(11:13))];
%         end
%         testlist=unique(testcompile)';
%         trainlist=unique(traincompile)';
%     end
%  	parfor j=1:length(testlist)
%         pretestind=find(trainlist<testlist(j),1,'last');
%         pretestlist=[pretestlist ; trainlist(pretestind)];
%     end
%       testlist=[testlist; NaN(20-length(testlist),1)];
%% *
% %Go through each ant in batch in turn
%     for j=1:size(antlist,1)
%% *
% %     for j=1
%     %find all runs made by a particular ant & all tests in took part in
%     runlist=[];runnumlist=[];repeatlist=[];
%     arunlist=[];arunnumlist=[];arepeatlist=[];
%     anttestlist=[];anttesti=[];
%         for i=1:length(d)
% 
%             if strcmp(d(i).name(7:8),antlist(j,:))==1 && strcmp(d(i).name(15:17),'Pos')==1
%                 arunlist=[arunlist; i];
%                 arunnumlist=[arunnumlist; str2num(d(i).name(11:13))];
%                     rid=str2num(d(i).name(9));
%                     if isempty(rid)==1
%                         rid=NaN;
%                     end
%                 arepeatlist=[arepeatlist; rid];
%             end
%             if strcmp(d(i).name(7:8),antlist(j,:))==1 && strcmp('Ts',d(i).name(16:17)) == 1
%                 anttesti=[anttesti; i];
%                 anttestlist=[anttestlist; str2num(d(i).name(11:13))];
%             end
%             anttestlist=unique(anttestlist);
%             
%             if strcmp(d(i).name(7:8),antlist(j,:))==1
%                 runlist=[runlist; i];
%                 runnumlist=[runnumlist; str2num(d(i).name(11:13))];
%                     rid=str2num(d(i).name(9));
%                     if isempty(rid)==1
%                         rid=NaN;
%                     end
%                 repeatlist=[repeatlist; rid];
%             end
%         end %for i=1:length(d)
%         
%     
%         %find ants that had a second go in a particular trial and mark the
%     %earlier gos as bad so we can plot only the final go of each ant in
%     %figs
%     repeatflag=zeros(length(runlist),1);
%     for runindex=min(runnumlist):max(runnumlist)
%         thisrun=find(runnumlist==runindex);
%         notlast=find(repeatlist(thisrun)<max(repeatlist(thisrun)));
%         repeatflag(thisrun(notlast))=1;
%     end %for runindex=min(runnumlist):max(runnumlist)
%     arepeatflag=zeros(length(arunlist),1);
%     for runindex=min(arunnumlist):max(arunnumlist)
%         thisrun=find(arunnumlist==runindex);
%         notlast=find(arepeatlist(thisrun)<max(arepeatlist(thisrun)));
%         arepeatflag(thisrun(notlast))=1;
%     end %for runindex=min(runnumlist):max(runnumlist)
%% *
%  %Get pathdata for all training trials
%     %no further processing done if ant didn't do any training runs
%         if isempty(runlist)==0
  %go through each run in turn and calculate vars           
            for i=1:length(d)
%% *   
    AAXpos=[];
    cd(origdir);
    load(d(i).name, 'AAXpos');
    datalength=length(AAXpos);
    AAXpos=[];


                cd (rawdir{rind});
load(d(i).name)
                
                
                
                        %Create variables 
%                 AAAntName={};
%                 AARunNo=[];
%                 AATestFlag=[];
%                 AATestType=[];
%                 AAPosition=[];
%                 AAPreTestFlag=[];
%                 AASupersededFlag=[];
%                 AANextTest=[];
%                 AATrainingRunsUndertakenByAnt=[];
%                 AATestsUndertakenByAnt=[];
%                 AAXpos=[];
%                 AAYpos=[];
%                 AATHETA=[];
                AAFacingDirPattern=[];
                AAFacingDirFood=[];
%                 AATimePath=[];
%                 AARpos=[];
                AAfirstenteringchannelframe=[];
                AAlastenteringchannelframe=[];
                AAfirstleavingchannelframe=[];
                AAlastleavingchannelframe=[];
                AAfirstleavingstartzoneframe=[];
                AAlastleavingstartzoneframe=[];
                AAnewendframe=[];
                AAfinalstartframe=[];
                AAfinalendframe=[];
                AAinternalradiiframes=[];
                AAplateauturnstartindex=[];
                AAplateaustartindex=[];
                AAplateauendindex=[];
                AAplateauturnstarttype=[];
                AAplateauturndirection=[];
                AAplateauturnstarttheta=[];
                AAplateautheta=[];
                AAplateauturnamplitude=[];
                AAplateauturndistancetravelled=[];
                AAplateauturnduration=[];
                AAplateauduration=[];
                AAplateauendr=[];
                AAwigglestartindex=[];
                AAwiggleendindex=[];
                AAwiggledirection=[];
                AAwiggleamplitude=[];
                AAwigglestarttheta=[];
                AAwiggleendtheta=[];
                AAwiggleduration=[];
                AAwiggledistancetravelled=[];
                AAwiggleendr=[];
                AAstillstartindex=[];
                AAstillendindex=[];
                AAstilltheta=[];
                AAstillduration=[];
                AAstillendr=[];
                AAmotionlessstartindex=[];
                AAmotionlessendindex=[];
                AAmotionlessturnstartindex=[];
                AAmotionlessturnstarttype=[];
                AAmotionlessturndirection=[];
                AAmotionlessturnstarttheta=[];
                AAmotionlesstheta=[];
                AAmotionlessturnamplitude=[];
                AAmotionlessturndistancetravelled=[];
                AAmotionlessturnduration=[];
                AAmotionlessendr=[];
                AAwigglesinchannel=[];
                AAwigglesinmainpath=[];
                AAplateausinchannel=[];
                AAplateausinmainpath=[];
                AAmotionlessinchannel=[];
                AAmotionlessinmainpath=[];
                AAstillinchannel=[];
                AAstillinmainpath=[];
                AAVeclengthWholePath=[];
                AAMeandirWeightedWholePath60=[];
                AAMeandirWeightedWholePath150=[];
                AAMeandirWholePath60=[];
                AAMeandirWholePath150=[];
                AAVeclengthInChannel=[];
                AAMeandirWeightedInChannel60=[];
                AAMeandirWeightedInChannel150=[];
                AAVeclengthTwentyForty=[];
                AAMeandirWeightedTwentyForty60=[];
                AAMeandirWeightedTwentyForty150=[];
                AAVeclengthTwentyFifty=[];
                AAMeandirWeightedTwentyFifty60=[];
                AAMeandirWeightedTwentyFifty150=[];
                AAClassDirWholePath=[];
                AAClassDirTwentyForty=[];
                AAClassDirTwentyFifty=[];
                AAClassFramesWholePath=[];
                AAClassFramesTwentyForty=[];
                AAClassFramesTwentyFifty=[];
                AAwigglestartfacepattern=[];
                AAwiggleendfacepattern=[];
                AAwigglestartfacefood=[];
                AAwiggleendfacefood=[];
                AAstillfacepattern=[];
                AAstillfacefood=[];
                AAplateaustartfacepattern=[];
                AAplateauendfacepattern=[];
                AAplateaustartfacefood=[];
                AAplateauendfacefood=[];
                AAmotionlessstartfacepattern=[];
                AAmotionlessendfacepattern=[];
                AAmotionlessstartfacefood=[];
                AAmotionlessendfacefood=[];
                AAVeclengthFortyFive60=[];
                AAMeandirFortyFive60=[];
                AAMeandirWeightedFortyFive60=[];
                AAVeclengthFortyFive150=[];
                AAMeandirFortyFive150=[];
                AAMeandirWeightedFortyFive150=[];
                AAVeclengthThirty60=[];
                AAMeandirThirty60=[];
                AAMeandirWeightedThirty60=[];
                AAVeclengthThirty150=[];
                AAMeandirThirty150=[];
                AAMeandirWeightedThirty150=[];

%                 AAorigRpos=[];
%                 AAorigTHETA=[];
%                 AAorigTimePath=[];
%                 AAorigTpos=[];
%                 AAorigXpos=[];
%                 AAorigYpos=[];
                
                %Delete variables from previous run
                    AntName=[];
                    RunNo=[];
                    TestFlag=[];
                    TestType=[];
                    position=[];
                    ptflag=[];
                    supercededflag=[];
                    Xpos=[];
                    Ypos=[];
                    THETA=[];
                    facepattern=[];
                    facefood=[];
                    plotfacefood=[];
                    TimePath=[];
                    Rpos=[];
                    firstenteringchannelframe=[];
                    lastenteringchannelframe=[];
                    firstleavingchannelframe=[];
                    lastleavingchannelframe=[];
                    firstleavingstartzoneframe=[];
                    lastleavingstartzoneframe=[];
                    newendframe=[];
                    finalstartframe=[];
                    finalendframe=[];
                    internalradiiframes=[];
                    plateauturnstartindex=[];
                    plateauendindex=[];
                    plateauturnstarttype=[];
                    plateauturndirection=[];
                    plateauturnstarttheta=[];
                    plateautheta=[];
                    plateauturnamplitude=[];
                    plateauturndistancetravelled=[];
                    plateauturnduration=[];
                    plateauduration=[];
                    plateauendr=[];
                    wigglestartindex=[];
                    wiggleendindex=[];
                    wiggledirection=[];
                    wiggleamplitude=[];
                    wigglestarttheta=[];
                    wiggleendtheta=[];
                    wiggleduration=[];
                    wiggledistancetravelled=[];
                    wiggleendr=[];
                    stillstartindex=[];
                    stillendindex=[];
                    stilltheta=[];
                    stillduration=[];
                    stillendr=[];
                    motionlessstartindex=[];
                    motionlessendindex=[];
                    motionlessturnstartindex=[];
                    motionlessturnstarttype=[];
                    motionlessturndirection=[];
                    motionlessturnstarttheta=[];
                    motionlesstheta=[];
                    motionlessturnamplitude=[];
                    motionlessturndistancetravelled=[];
                    motionlessturnduration=[];
                    motionlessendr=[];
                    wigglesinchannel=[];
                    wigglesinmainpath=[];
                    plateausinchannel=[];
                    plateausinmainpath=[];
                    motionlessinchannel=[];
                    motionlessinmainpath=[];
                    stillinchannel=[];
                    stillinmainpath=[];
                    VeclengthWholePath=[];
                    MeandirWeightedWholePath60=[];
                    MeandirWeightedWholePath150=[];
                    MeandirWholePath60=[];
                    MeandirWholePath150=[];
                    VeclengthInChannel=[];
                    MeandirWeightedInChannel60=[];
                    MeandirWeightedInChannel150=[];
                    VeclengthTwentyForty=[];
                    MeandirWeightedTwentyForty60=[];
                    MeandirWeightedTwentyForty150=[];
                    VeclengthTwentyFifty=[];
                    MeandirWeightedTwentyFifty60=[];
                    MeandirWeightedTwentyFifty150=[];
                    VeclengthFortyFive60=[];
                    MeandirFortyFive60=[];
                    MeandirWeightedFortyFive60=[];
                    VeclengthFortyFive150=[];
                    MeandirFortyFive150=[];
                    MeandirWeightedFortyFive150=[];
                    VeclengthThirty60=[];
                    MeandirThirty60=[];
                    MeandirWeightedThirty60=[];
                    VeclengthThirty150=[];
                    MeandirThirty150=[];
                    MeandirWeightedThirty150=[];
                    ClassDirWholePath=[];
                    ClassDirTwentyForty=[];
                    ClassDirTwentyFifty=[];
                    ClassFramesWholePath=[];
                    ClassFramesTwentyForty=[];
                    ClassFramesTwentyFifty=[];
                    motionlessstartfacepattern=[];
                    motionlessendfacepattern=[];
                    motionlessstartfacefood=[];
                    motionlessendfacefood=[];
                    wigglestartfacepattern=[];
                    wiggleendfacepattern=[];
                    wigglestartfacefood=[];
                    wiggleendfacefood=[];
                    plateaustartfacepattern=[];
                    plateauendfacepattern=[];
                    plateaustartfacefood=[];
                    plateauendfacefood=[];
                    stillfacepattern=[];
                    stillfacefood=[];
                    crosszero60=[];
                    crosszero60index=[];
                    crosszero150=[];
                    crosszero150index=[];
                    crossredge=[];
                    crossredgeindex=[];
                    crosscentre=[];
                    plateaudistfromfeeder=[];
                    plateaucrossredgeflag=[];
                    plateaucrosscentreflag=[];
                    plateaucrosszero60flag=[];
                    plateaucrosszero150flag=[];
                    plateauamplituderelativetoredge=[];
                    plateauamplituderelativetocentre=[];
                    plateauamplituderelativetozero60=[];
                    plateauamplituderelativetozero150=[];
                    wiggledistfromfeeder=[];
                    wigglecrossredgeflag=[];
                    wigglecrosscentreflag=[];
                    wigglecrosszero60flag=[];
                    wigglecrosszero150flag=[];
                    wiggleamplituderelativetoredge=[];
                    wiggleamplituderelativetocentre=[];
                    wiggleamplituderelativetozero60=[];
                    wiggleamplituderelativetozero150=[];
                    motionlessdistfromfeeder=[];
                    motionlesscrossredgeflag=[];
                    motionlesscrosscentreflag=[];
                    motionlesscrosszero60flag=[];
                    motionlesscrosszero150flag=[];
                    motionlessamplituderelativetoredge=[];
                    motionlessamplituderelativetocentre=[];
                    motionlessamplituderelativetozero60=[];
                    motionlessamplituderelativetozero150=[];


            
%%%%%%%%%%%%%%%%%%%%%

                
    filename=d(i).name;

    %flag runs preceding a test and find next test undergone by ant after current run
%     runnum=str2num(filename(11:13));
%% *
%                 if any(i==runlist) | strcmp(filename,'ONEYE-HY3-032-Pos55.dat')==0 %this file caused a crash for some reason so just chopping it out until I can figure out why
%% *                    
                    %get file info
                    AntName=AAAntName;
                    RunNo=AARunNo;
                    TestFlag=AATestFlag;
                    TestType=AATestType;
                    TestPos=AAPosition;
                    TrainPos=AAPosition;
                    if TestFlag == 1; position=TestPos; else position=TrainPos; end

                    disp([num2str(i), ' - ', filename(5:end)]);
%% *
                    %for training runs, ptflag=1 if this run is the one
                    %preceding amy test. for tests, ptflag=1 if the ant in
                    %question also took part in the training that
                    %immediately preceded it
                        ptflag=AAPreTestFlag;
                        nexttest=AANextTest;
                        supercededflag=AASupersededFlag;
                    
                            
                if TestType==0
                    redge=45;
                elseif TestType==1
                    redge=90;
                elseif TestType==2
                    redge=3.8197;
                else
                    redge=[];
                end
                centre=redge+(19.0986/2);
%% *
%         %read in data structures
%         runSTRUCT=read_trial2(filename(1:length(filename)-4));
%         [X,Y]=angles_to_cm(runSTRUCT.ObjX-(Azi0/2), runSTRUCT.ObjY-(Ele0/2), TFORM);
%% *        
%                      if isempty(X)==0 & isempty(Y)==0
%% *

                        TimePath = AATimePath(1:datalength);
                        Xpos=AAXpos(1:datalength);
                        Ypos=AAYpos(1:datalength);
                        THETA=AATHETAcorrected(1:datalength);
%                         Rpos=AARpos;
%% *
%                             if size(THETA,1)==1;THETA=THETA';end
% 
%                             if length(THETA)<length(Xpos)
%                                 Xpos = Xpos(1:length(THETA));
%                                 Ypos = Ypos(1:length(THETA));
%                                 TimePath = TimePath(1:length(THETA));
%                             end
%% *
%Save uncorrected vars
% uncorrectedXpos=Xpos;uncorrectedYpos=Ypos;uncorrectedTHETA=THETA;uncorrectedTimePath=TimePath;

                            
%% *                     
                      %Fix ant bad body angles      
%                     [Xpos,Ypos,THETA,TimePath]=Pathanglecorrector(Xpos,Ypos,THETA,TimePath);        
%% *
% %                     %Commented as already done by Pathanglecorrector %remove nan 
% %                     validX=~isnan(Xpos);validY=~isnan(Ypos);validTime=~isnan(TimePath);validThet=~isnan(THETA);
% %                     valid=validX & validY & validTime & validThet;
% %                     Xpos=Xpos(valid);Ypos=Ypos(valid);TimePath=TimePath(valid);THETA=THETA(valid);
                   [Tpos,Rpos] = cart2pol(Xpos,Ypos);%added JLW. Rpos is crow flies distance from start. used to replace X position for trimming path
                    [~,dR]=cart2pol([0; diff(Xpos)],[0; diff(Ypos)]);
                   angchange=[0; angdiff(THETA(2:end),THETA(1:end-1), 'ang','directional')];

                                              
                    %smooth path
                   origXpos=AAorigXpos(1:datalength);
                   origYpos=AAorigYpos(1:datalength);
                   origTimePath=AAorigTimePath(1:datalength);
                   origTHETA=AAorigTHETAcorrected(1:datalength);
                   origTpos=AAorigTpos(1:datalength);
                   origRpos=AAorigRpos(1:datalength);
                   
                   %get rid of nans
                    nanlist=sum([isnan(TimePath), isnan(Xpos), isnan(Ypos), isnan(THETA), isnan(Tpos), isnan(Rpos), isnan(origXpos), isnan(origYpos), isnan(origTimePath), isnan(origTHETA), isnan(origTpos), isnan(origRpos)],2);
                   TimePath=TimePath(nanlist==0);
                   Xpos=Xpos(nanlist==0);
                   Ypos=Ypos(nanlist==0);
                   THETA=THETA(nanlist==0);
                   Tpos=Tpos(nanlist==0);
                   Rpos=Rpos(nanlist==0);
                   ancchange=angchange(nanlist==0);
                   origXpos=origXpos(nanlist==0);
                   origYpos=origYpos(nanlist==0);
                   origTimePath=origTimePath(nanlist==0);
                   origTHETA=origTHETA(nanlist==0);
                   origTpos=origTpos(nanlist==0);
                   origRpos=origRpos(nanlist==0);
                   
                   
                   
%                    Xpos;origYpos=Ypos;origTHETA=THETA;origTimePath=TimePath;origTpos=Tpos;origRpos=Rpos;
% 
%                    Xpos=smoothvec(Xpos,15,'replicate')';Ypos=smoothvec(Ypos,15,'replicate')';Rpos=smoothvec(Rpos,15,'replicate')';
%                            if length(THETA)>16; [THETA,~]=SmoothAngles(THETA,15); elseif length(THETA)>3; [THETA,~]=SmoothAngles(THETA,length(THETA)-2); else THETA=THETA; end
%% *
                  %If there are fewer than 10dps in the corrected and trimmed path we will just move on to the next path
                        if length(THETA)>10
%% *                           
                   %Find facing anglesa
                   facepattern=GazeAngleFinderJLWv2(THETA,Xpos,Ypos,patterndistance);
                   facefood=GazeAngleFinderJLWv2(THETA,Xpos,Ypos,fooddistance);  
                   origfacefood=GazeAngleFinderJLWv2(origTHETA,origXpos,origYpos,fooddistance);
                   origfacepattern=GazeAngleFinderJLWv2(origTHETA,origXpos,origYpos,patterndistance);
%% *
                   %Find start and endpoints
                   [firstenteringchannelframe, lastenteringchannelframe, firstleavingchannelframe, lastleavingchannelframe, firstleavingstartzoneframe, lastleavingstartzoneframe, newendframe, internalradiiframes]=TrimPathONEYv3(Xpos,Ypos,THETA,internalradii);
%% *
                   %Find wiggles
                   [wigglestartindex, wiggleendindex, wiggledirection, wiggleamplitude, wigglestarttheta, wiggleendtheta, wiggleduration, wiggledistancetravelled]=AntWiggleAnalysisv1(Xpos, Ypos, TimePath, THETA);
                   wiggleendr=Rpos(wiggleendindex);
                   wigglestartfacepattern=GazeAngleFinderJLWv2(wigglestarttheta,Xpos(wigglestartindex),Ypos(wigglestartindex),patterndistance);
                   wiggleendfacepattern=GazeAngleFinderJLWv2(wiggleendtheta,Xpos(wiggleendindex),Ypos(wiggleendindex),patterndistance);
                   wigglestartfacefood=GazeAngleFinderJLWv2(wigglestarttheta,Xpos(wigglestartindex),Ypos(wigglestartindex),fooddistance);
                   wiggleendfacefood=GazeAngleFinderJLWv2(wiggleendtheta,Xpos(wiggleendindex),Ypos(wiggleendindex),fooddistance);
                        wigglecrossredgeflag=zeros(size(wigglestartindex));
                        wigglecrosscentreflag=zeros(size(wigglestartindex));
                        wigglecrosszero60flag=zeros(size(wigglestartindex));
                        wigglecrosszero150flag=zeros(size(wigglestartindex));
                        wiggleamplituderelativetoredge=NaN*zeros(size(wigglestartindex));
                        wiggleamplituderelativetocentre=NaN*zeros(size(wigglestartindex));
                        wiggleamplituderelativetozero60=NaN*zeros(size(wigglestartindex));
                        wiggleamplituderelativetozero150=NaN*zeros(size(wigglestartindex));
                  if isempty(wigglestartindex)==0
                    for spind=1:length(wigglestartindex)
                            crosszero60=zeros(wiggleendindex(spind)-wigglestartindex(spind)+1,1);
                            crosszero60(facefood(wigglestartindex(spind):wiggleendindex(spind))>0)=1;
                            if isempty(find(diff(crosszero60)==1 | diff(crosszero60)==-1,1,'last'))==0
                         wigglecrosszero60flag(spind)=1;
                            crosszero60index=find(diff(crosszero60)==1 | diff(crosszero60)==-1,1,'last');
                         wiggleamplituderelativetozero60(spind)=ModAnglesJLWv2(wiggleendtheta(spind)-THETA(wigglestartindex(spind)+crosszero60index-1));
                            end %if isempty(find(diff(crosszero60)==1 | diff(crosszero60)==-1,1,'last'))==0
                            crosszero150=zeros(wiggleendindex(spind)-wigglestartindex(spind)+1,1);
                            crosszero150(facepattern(wigglestartindex(spind):wiggleendindex(spind))>0)=1;
                            if isempty(find(diff(crosszero150)==1 | diff(crosszero150)==-1,1,'last'))==0
                         wigglecrosszero150flag(spind)=1;
                            crosszero150index=find(diff(crosszero150)==1 | diff(crosszero150)==-1,1,'last');
                         wiggleamplituderelativetozero150(spind)=ModAnglesJLWv2(wiggleendtheta(spind)-THETA(wigglestartindex(spind)+crosszero150index-1));
                            end %if isempty(find(diff(crosszero60)==1 | diff(crosszero60)==-1,1,'last'))==0
                         if isempty(redge)==0   
                            crossredge=zeros(wiggleendindex(spind)-wigglestartindex(spind)+1,1);
                            crossredge(facepattern(wigglestartindex(spind):wiggleendindex(spind))>redge)=1;
                            if isempty(find(diff(crossredge)==1 | diff(crossredge)==-1,1,'last'))==0
                         wigglecrossredgeflag(spind)=1;
                            crossredgeindex=find(diff(crossredge)==1 | diff(crossredge)==-1,1,'last');
                         wiggleamplituderelativetoredge(spind)=ModAnglesJLWv2(wiggleendtheta(spind)-THETA(wigglestartindex(spind)+crossredgeindex-1));
                            end %if isempty(find(diff(crosszero60)==1 | diff(crosszero60)==-1,1,'last'))==0
                         end %if isempty(redge)==0 
                         if isempty(centre)==0
                            crosscentre=zeros(wiggleendindex(spind)-wigglestartindex(spind)+1,1);
                            crosscentre(facepattern(wigglestartindex(spind):wiggleendindex(spind))>centre)=1;
                            if isempty(find(diff(crosscentre)==1 | diff(crosscentre)==-1,1,'last'))==0
                         wigglecrosscentreflag(spind)=1;
                            crosscentreindex=find(diff(crosscentre)==1 | diff(crosscentre)==-1,1,'last');
                         wiggleamplituderelativetocentre(spind)=ModAnglesJLWv2(wiggleendtheta(spind)-THETA(wigglestartindex(spind)+crosscentreindex-1));
                            end %if isempty(find(diff(crosszero60)==1 | diff(crosszero60)==-1,1,'last'))==0
                         end
                    end%for spind=1:length(plateaustartindex)
                  end %if isempty(plateaustartindex)==0
                  [~, wiggledistfromfeeder]=cart2pol(Xpos(wiggleendindex)-foodx, Ypos(wiggleendindex)-foody) ;
                   
%% *                  
                   %Find 'plateaus' where ant is looking at a fixed point
%                    [plateaustartindex, plateauendindex, plateautheta, plateauduration, ~]=AntPlateauAnalysis181213(TimePath, origTHETA, minstillperiod, maxturnsize, maxframeang*50,2) ;
                    tic                    
                    [plateaustartindex, plateauendindex, plateautheta, plateauduration, ~]=AntPlateauAnalysis190506(TimePath, origTHETA, minstillperiod, maxturnsize, maxslope) ;
                    toc
%                     tic
%                     [oldplateaustartindex, oldplateauendindex, oldplateautheta, oldplateauduration, ~]=ChunkAntPlateauAnalysis181227(TimePath, origTHETA, minstillperiod, 1.25, 1.25*50,2,250) ;
%                     toc        
%% *
                   %Find still points where ant is not walking
                   [stillstartindex, stillendindex, stilltheta, stillduration]=AntStillPointAnalysis(Xpos, Ypos, TimePath, THETA, 0.25, minstillperiod);
                   stillendr=Rpos(stillendindex);
                   stillfacepattern=GazeAngleFinderJLWv2(stilltheta,Xpos(stillstartindex),Ypos(stillstartindex),patterndistance);
                   stillfacefood=GazeAngleFinderJLWv2(stilltheta,Xpos(stillstartindex),Ypos(stillstartindex),fooddistance);
%% *
                   
                   %For plateaus, find the start point of the turn which
                   %ended in a plateau: it is either the start of a wiggle
                   %or the end of the previous plateau, whichever is closer
                   %to the plateau
                   %find direction, duration, amplitude and distance
                   %travelled during plateau turns
                   sps=[wigglestartindex;plateauendindex];
                   spid=[zeros(size(wigglestartindex)); ones(size(plateauendindex))];
                   [~,spi]=sort(sps);
                    sps=sps(spi); spid=spid(spi);
                  plateauturnstartindex=zeros(size(plateaustartindex));
                  plateauturnstarttype=zeros(size(plateaustartindex)); %0=starts with previous wiggle; 1=starts at end of previous plateau in mid-wiggle
                  plateauturndirection=zeros(size(plateaustartindex)); %this is the direction of turn of the wiggle the plateau turn is found within
                  plateauturnstarttheta=zeros(size(plateaustartindex));
                  plateauturnamplitude=zeros(size(plateaustartindex));
                  plateauturndistancetravelled=zeros(size(plateaustartindex));
                  plateauturnduration=zeros(size(plateaustartindex));
                  plateaucrossredgeflag=zeros(size(plateaustartindex));
                  plateaucrosscentreflag=zeros(size(plateaustartindex));
                  plateaucrosszero60flag=zeros(size(plateaustartindex));
                  plateaucrosszero150flag=zeros(size(plateaustartindex));
                  plateauamplituderelativetoredge=NaN*zeros(size(plateaustartindex));
                  plateauamplituderelativetocentre=NaN*zeros(size(plateaustartindex));
                  plateauamplituderelativetozero60=NaN*zeros(size(plateaustartindex));
                  plateauamplituderelativetozero150=NaN*zeros(size(plateaustartindex));
                  if isempty(plateaustartindex)==0
                    for spind=1:length(plateaustartindex)
                        if plateaustartindex(spind)<=min(sps) | isempty(sps)==1
                            plateauturnstartindex(spind)=1;
                            plateauturnstarttype(spind)=0;
                        else
                            plateauturnstartindex(spind)=sps(find(sps<plateaustartindex(spind),1,'last'));
                            plateauturnstarttype(spind)=spid(find(sps<plateaustartindex(spind),1,'last'));
                        end %if plateaustartindex(spind)<min(sps) | isempty(sps)==1
                            if isempty(find(wigglestartindex<plateaustartindex(spind),1,'last'))==0
                        plateauturndirection(spind)=wiggledirection(find(wigglestartindex<plateaustartindex(spind),1,'last'));    
                            else plateauturndirection(spind)=NaN;
                            end
                        plateauturndistancetravelled(spind)=sum(dR(plateauturnstartindex(spind):plateauendindex(spind)));
                            if plateauturnstartindex(spind)>=3 & plateauturnstartindex(spind)<=length(Xpos)-2
                        plateauturnstarttheta(spind)=rad2ang(circ_mean(ang2rad(THETA(plateauturnstartindex(spind)-2:plateauturnstartindex(spind)+2))));
                            elseif plateauturnstartindex(spind)<3
                        plateauturnstarttheta(spind)=rad2ang(circ_mean(ang2rad(THETA(1:5))));
                            elseif plateauturnstartindex(spind)>length(Xpos)-2
                        plateauturnstarttheta(spind)=rad2ang(circ_mean(ang2rad(THETA(end-4:end))));
                            end
                        plateauturnduration(spind)=TimePath(plateaustartindex(spind))-TimePath(plateauturnstartindex(spind))    ;
                        plateauturnamplitude(spind)=angdiff(plateautheta(spind),plateauturnstarttheta(spind), 'ang','directional');
                            %If the ant turns by more than 180 degrees, the
                            %angdiff function assumes it went the other way
                            %and returns and angle less than 180. Here we
                            %correct for this by comparing the calculated
                            %turn amplitude to the sum of all between-dp
                            %turns during the larger turn: if the signs
                            %don't match, we have accidentally assumed the
                            %ant was turning the other way
                            turnsum=sum(angchange(plateauturnstartindex(spind):plateauendindex(spind)));
                            if turnsum>0 & plateauturnamplitude(spind)<0
                                plateauturnamplitude(spind)=plateauturnamplitude(spind)+360;
                            elseif turnsum<0 & plateauturnamplitude(spind)>0
                                 plateauturnamplitude(spind)=plateauturnamplitude(spind)-360;
                            end
                            crosszero60=zeros(plateauendindex(spind)-plateauturnstartindex(spind)+1,1);
                            crosszero60(facefood(plateauturnstartindex(spind):plateauendindex(spind))>0)=1;
                            if isempty(find(diff(crosszero60)==1 | diff(crosszero60)==-1,1,'last'))==0
                         plateaucrosszero60flag(spind)=1;
                            crosszero60index=find(diff(crosszero60)==1 | diff(crosszero60)==-1,1,'last');
                         plateauamplituderelativetozero60(spind)=ModAnglesJLWv2(plateautheta(spind)-THETA(plateauturnstartindex(spind)+crosszero60index-1));
                            end %if isempty(find(diff(crosszero60)==1 | diff(crosszero60)==-1,1,'last'))==0
                            crosszero150=zeros(plateauendindex(spind)-plateauturnstartindex(spind)+1,1);
                            crosszero150(facepattern(plateauturnstartindex(spind):plateauendindex(spind))>0)=1;
                            if isempty(find(diff(crosszero150)==1 | diff(crosszero150)==-1,1,'last'))==0
                         plateaucrosszero150flag(spind)=1;
                            crosszero150index=find(diff(crosszero150)==1 | diff(crosszero150)==-1,1,'last');
                         plateauamplituderelativetozero150(spind)=ModAnglesJLWv2(plateautheta(spind)-THETA(plateauturnstartindex(spind)+crosszero150index-1));
                            end %if isempty(find(diff(crosszero60)==1 | diff(crosszero60)==-1,1,'last'))==0
                         if isempty(redge)==0   
                            crossredge=zeros(plateauendindex(spind)-plateauturnstartindex(spind)+1,1);
                            crossredge(facepattern(plateauturnstartindex(spind):plateauendindex(spind))>redge)=1;
                            if isempty(find(diff(crossredge)==1 | diff(crossredge)==-1,1,'last'))==0
                         plateaucrossredgeflag(spind)=1;
                            crossredgeindex=find(diff(crossredge)==1 | diff(crossredge)==-1,1,'last');
                         plateauamplituderelativetoredge(spind)=ModAnglesJLWv2(plateautheta(spind)-THETA(plateauturnstartindex(spind)+crossredgeindex-1));
                            end %if isempty(find(diff(crosszero60)==1 | diff(crosszero60)==-1,1,'last'))==0
                         end %if isempty(redge)==0 
                         if isempty(centre)==0
                            crosscentre=zeros(plateauendindex(spind)-plateauturnstartindex(spind)+1,1);
                            crosscentre(facepattern(plateauturnstartindex(spind):plateauendindex(spind))>centre)=1;
                            if isempty(find(diff(crosscentre)==1 | diff(crosscentre)==-1,1,'last'))==0
                         plateaucrosscentreflag(spind)=1;
                            crosscentreindex=find(diff(crosscentre)==1 | diff(crosscentre)==-1,1,'last');
                         plateauamplituderelativetocentre(spind)=ModAnglesJLWv2(plateautheta(spind)-THETA(plateauturnstartindex(spind)+crosscentreindex-1));
                            end %if isempty(find(diff(crosszero60)==1 | diff(crosszero60)==-1,1,'last'))==0
                         end
                    end %for spind=1:length(plateaustarts)
                  end %if isempty(plateaustartindex)==0
                  plateauendr=Rpos(plateauendindex); 
                  plateaustartfacepattern=GazeAngleFinderJLWv2(plateauturnstarttheta,Xpos(plateauturnstartindex),Ypos(plateauturnstartindex),patterndistance);
                  plateauendfacepattern=GazeAngleFinderJLWv2(plateautheta,Xpos(plateauendindex),Ypos(plateauendindex),patterndistance);
                  plateaustartfacefood=GazeAngleFinderJLWv2(plateauturnstarttheta,Xpos(plateauturnstartindex),Ypos(plateauturnstartindex),fooddistance);
                  plateauendfacefood=GazeAngleFinderJLWv2(plateautheta,Xpos(plateauendindex),Ypos(plateauendindex),fooddistance);
                  [~, plateaudistfromfeeder]=cart2pol(Xpos(plateauendindex)-foodx, Ypos(plateauendindex)-foody) ;
%% *                  
                  
                   %Look for motionless periods when the ant is neither
                   %changing its body angle nor position. Find the start
                   %points of any turns that lead to motionless periods
                   motionlessstartindex=[];
                   motionlessendindex=[];
                   motionlesslength=[];
                   motionlesstheta=[];                  
                   motionlessturnstartindex=[];  
                   motionlessturnstarttype=[];   %0=starts with previous wiggle; 1=starts at end of previous plateau in mid-wiggle
                   motionlessturndirection=[];  %this is the direction of turn of the wiggle the plateau turn is found within
                   motionlessturnstarttheta=[];  
                   motionlessturnamplitude=[];  
                   motionlessturndistancetravelled=[];
                   motionlessturnduration=[];
                    motionlesscrossredgeflag=[];
                    motionlesscrosscentreflag=[];
                    motionlesscrosszero60flag=[];
                    motionlesscrosszero150flag=[];
                    motionlessamplituderelativetoredge=[];
                    motionlessamplituderelativetocentre=[];
                    motionlessamplituderelativetozero60=[];
                    motionlessamplituderelativetozero150=[];
                 if isempty(plateaustartindex)==0 & isempty(stillstartindex)==0 
                   platpoints=zeros(size(Xpos));
                   stillpoints=zeros(size(Xpos));
                    for sind=1:length(plateaustartindex)
                        platpoints(plateaustartindex(sind):plateauendindex(sind))=1;
                    end
                   for sind=1:length(stillstartindex)
                        stillpoints(stillstartindex(sind):stillendindex(sind))=1;
                   end
                   mopoints=stillpoints+platpoints; 
                   mopoints(mopoints~=2)=0; mopoints(mopoints==2)=1;
                   dmopoints=[0; diff(mopoints)];
                   motionlessstartindex=find(dmopoints==1);
                   motionlessendindex=find(dmopoints==-1);
                       if isempty(motionlessendindex)==0 & isempty(motionlessstartindex)==0
                        if motionlessendindex(1)<motionlessstartindex(1)
                            motionlessstartindex=[1; motionlessstartindex];
                        end
                        if length(motionlessstartindex)>length(motionlessendindex) & motionlessstartindex(end)>motionlessendindex(end)
                            motionlessendindex=[motionlessendindex; length(Xpos)];
                        end
                       end
                   motionlesslength=TimePath(motionlessendindex)-TimePath(motionlessstartindex);    
                   motionlessstartindex=motionlessstartindex(motionlesslength>=minstillperiod);
                   motionlessendindex=motionlessendindex(motionlesslength>=minstillperiod);
                   %Find attirubtes of turns preceding motionless points.
                   %since they must coincide with plateaus, the start
                   %points etc are the same as those fopr the corresponding
                   %plateaus
                   motionlesstheta=zeros(size(motionlessstartindex));                   
                   motionlessturnstartindex=zeros(size(motionlessstartindex));  
                   motionlessturnstarttype=zeros(size(motionlessstartindex));   %0=starts with previous wiggle; 1=starts at end of previous plateau in mid-wiggle
                   motionlessturndirection=zeros(size(motionlessstartindex));   %this is the direction of turn of the wiggle the plateau turn is found within
                   motionlessturnstarttheta=zeros(size(motionlessstartindex));  
                   motionlessturnamplitude=zeros(size(motionlessstartindex));  
                   motionlessturndistancetravelled=zeros(size(motionlessstartindex));  
                   motionlessturnduration=zeros(size(motionlessstartindex));
                    motionlesscrossredgeflag=zeros(size(motionlessstartindex));
                    motionlesscrosscentreflag=zeros(size(motionlessstartindex));
                    motionlesscrosszero60flag=zeros(size(motionlessstartindex));
                    motionlesscrosszero150flag=zeros(size(motionlessstartindex));
                    motionlessamplituderelativetoredge=NaN*zeros(size(motionlessstartindex));
                    motionlessamplituderelativetocentre=NaN*zeros(size(motionlessstartindex));
                    motionlessamplituderelativetozero60=NaN*zeros(size(motionlessstartindex));
                    motionlessamplituderelativetozero150=NaN*zeros(size(motionlessstartindex));
                 if isempty(motionlessendindex)==0 & isempty(motionlessstartindex)==0 
                  for spind=1:length(motionlessstartindex)
                       pind=find(plateauturnstartindex<motionlessstartindex(spind),1,'last');
                      motionlessturnstartindex(spind)=plateauturnstartindex(pind);
                      motionlessturnstarttype(spind)=plateauturnstarttype(pind);
                      motionlessturnstarttheta(spind)=plateauturnstarttheta(pind);
                      motionlessturndirection(spind)=plateauturndirection(pind);
                      
                      motionlessturndistancetravelled(spind)=sum(dR(motionlessturnstartindex(spind):motionlessendindex(spind)));
                      motionlesstheta(spind)=rad2ang(circ_mean(ang2rad(THETA(motionlessstartindex(spind):motionlessendindex(spind)))));
                      motionlessturnduration(spind)=TimePath(motionlessstartindex(spind))-TimePath(motionlessturnstartindex(spind))    ;
                      motionlessturnamplitude(spind)=angdiff(motionlesstheta(spind),motionlessturnstarttheta(spind), 'ang','directional');
                            %If the ant turns by more than 180 degrees, the
                            %angdiff function assumes it went the other way
                            %and returns and angle less than 180. Here we
                            %correct for this by comparing the calculated
                            %turn amplitude to the sum of all between-dp
                            %turns during the larger turn: if the signs
                            %don't match, we have accidentally assumed the
                            %ant was turning the other way
                            turnsum=sum(angchange(motionlessturnstartindex(spind):motionlessendindex(spind)));
                            if turnsum>0 & motionlessturnamplitude(spind)<0
                                motionlessturnamplitude(spind)=motionlessturnamplitude(spind)+360;
                            elseif turnsum<0 & motionlessturnamplitude(spind)>0
                                 motionlessturnamplitude(spind)=motionlessturnamplitude(spind)-360;
                            end
                            crosszero60=zeros(motionlessendindex(spind)-motionlessturnstartindex(spind)+1,1);
                            crosszero60(facefood(motionlessturnstartindex(spind):motionlessendindex(spind))>0)=1;
                            if isempty(find(diff(crosszero60)==1 | diff(crosszero60)==-1,1,'last'))==0
                         motionlesscrosszero60flag(spind)=1;
                            crosszero60index=find(diff(crosszero60)==1 | diff(crosszero60)==-1,1,'last');
                         motionlessamplituderelativetozero60(spind)=ModAnglesJLWv2(motionlesstheta(spind)-THETA(motionlessturnstartindex(spind)+crosszero60index-1));
                            end %if isempty(find(diff(crosszero60)==1 | diff(crosszero60)==-1,1,'last'))==0
                            crosszero150=zeros(motionlessendindex(spind)-motionlessturnstartindex(spind)+1,1);
                            crosszero150(facepattern(motionlessturnstartindex(spind):motionlessendindex(spind))>0)=1;
                            if isempty(find(diff(crosszero150)==1 | diff(crosszero150)==-1,1,'last'))==0
                         motionlesscrosszero150flag(spind)=1;
                            crosszero150index=find(diff(crosszero150)==1 | diff(crosszero150)==-1,1,'last');
                         motionlessamplituderelativetozero150(spind)=ModAnglesJLWv2(motionlesstheta(spind)-THETA(motionlessturnstartindex(spind)+crosszero150index-1));
                            end %if isempty(find(diff(crosszero60)==1 | diff(crosszero60)==-1,1,'last'))==0
                         if isempty(redge)==0   
                            crossredge=zeros(motionlessendindex(spind)-motionlessturnstartindex(spind)+1,1);
                            crossredge(facepattern(motionlessturnstartindex(spind):motionlessendindex(spind))>redge)=1;
                            if isempty(find(diff(crossredge)==1 | diff(crossredge)==-1,1,'last'))==0
                         motionlesscrossredgeflag(spind)=1;
                            crossredgeindex=find(diff(crossredge)==1 | diff(crossredge)==-1,1,'last');
                         motionlessamplituderelativetoredge(spind)=ModAnglesJLWv2(motionlesstheta(spind)-THETA(motionlessturnstartindex(spind)+crossredgeindex-1));
                            end %if isempty(find(diff(crosszero60)==1 | diff(crosszero60)==-1,1,'last'))==0
                         end %if isempty(redge)==0 
                         if isempty(centre)==0
                            crosscentre=zeros(motionlessendindex(spind)-motionlessturnstartindex(spind)+1,1);
                            crosscentre(facepattern(motionlessturnstartindex(spind):motionlessendindex(spind))>centre)=1;
                            if isempty(find(diff(crosscentre)==1 | diff(crosscentre)==-1,1,'last'))==0
                         motionlesscrosscentreflag(spind)=1;
                            crosscentreindex=find(diff(crosscentre)==1 | diff(crosscentre)==-1,1,'last');
                         motionlessamplituderelativetocentre(spind)=ModAnglesJLWv2(motionlesstheta(spind)-THETA(motionlessturnstartindex(spind)+crosscentreindex-1));
                            end %if isempty(find(diff(crosszero60)==1 | diff(crosszero60)==-1,1,'last'))==0
                         end
                  end %for spind=1:length(plateaustartindex)
                 end
                 end %if isempty(plateaustartindex)==0 & isempty(stillstartindex)==0 
                 motionlessendr=Rpos(motionlessendindex)  ;
                 motionlessstartfacepattern=GazeAngleFinderJLWv2(motionlessturnstarttheta,Xpos(motionlessturnstartindex),Ypos(motionlessturnstartindex),patterndistance);
                 motionlessendfacepattern=GazeAngleFinderJLWv2(motionlesstheta,Xpos(motionlessendindex),Ypos(motionlessendindex),patterndistance);
                 motionlessstartfacefood=GazeAngleFinderJLWv2(motionlessturnstarttheta,Xpos(motionlessturnstartindex),Ypos(motionlessturnstartindex),fooddistance);
                 motionlessendfacefood=GazeAngleFinderJLWv2(motionlesstheta,Xpos(motionlessendindex),Ypos(motionlessendindex),fooddistance);
                [~, motionlessdistfromfeeder]=cart2pol(Xpos(motionlessendindex)-foodx, Ypos(motionlessendindex)-foody) ;
%% *
            %The script for finding the end of the path still sometimes
            %includes dodgy bits. Another way to find these potentially
            %dodgy bits is to look for wiggles that are too short or don't
            %really wiggle (e.g. the angular difference is spuriously
            %small). If the ant moves less than a quarter cm over the
            %course of the wiggle or turns less than 1.5 degree we discount
            %it as spurious
            if isempty(wigglestartindex)==0
            badwiggles=zeros(size(wigglestartindex));
            badwiggles(wiggledistancetravelled<0.25 | abs(wiggleamplitude)<1.5)=1;
            lastgoodwiggle=find(badwiggles==0,1,'last'); 
                if wigglestartindex(lastgoodwiggle)>=lastleavingstartzoneframe
                    finalstartframe=wigglestartindex(find(wigglestartindex<lastleavingstartzoneframe, 1, 'last'));
                    if wiggleendindex(lastgoodwiggle)<newendframe
                        finalendframe=wiggleendindex(lastgoodwiggle);
                    else
                        finalendframe=wiggleendindex(find(wiggleendindex<=newendframe, 1, 'last'));
                    end
                else
                    finalstartframe=[];
                    finalendframe=[];
                end
                if isempty(finalstartframe)==1
                   finalstartframe=max([wigglestartindex(1) lastleavingstartzoneframe]) ;
                end
                if isempty(finalendframe)
                   finalendframe=min([wiggleendindex(end) newendframe]) ;
                end
            else
                finalstartframe=lastleavingstartzoneframe;
                finalendframe=newendframe;
            end %if isempty wigglestartindex==0
            if finalstartframe>finalendframe
               if finalstartframe<length(Xpos)
                   finalendframe=finalstartframe+1;
               elseif finalendframe>1
                   finalstartframe=finalendframe-1;
               else
                   finalstartframe=1;
                   finalendframe=1;
               end
               disp('Warning: something is wrong and the end frame is before the start frame!. Check around L1618 for errors');
            end
            
                   %Find the indices of wiggles, plataus, still points and
                   %motionless periods that occur within the channel and
                   %those occuring in the main path. If a turn ends in the
                   %main path we count the whole turn, even if it began in
                   %the channel. If the trimmed path ends mid-wiggle or turn, we
                   %only count turns that finished within the main path and
                   %discard the half-turn.
            wigglesinchannel=(find(wiggleendindex>lastenteringchannelframe,1):find(wiggleendindex<=finalstartframe,1,'last'))';
            wigglesinmainpath=(find(wiggleendindex>finalstartframe,1):find(wiggleendindex<=finalendframe,1,'last'))';
            plateausinchannel=(find(plateauendindex>lastenteringchannelframe,1):find(plateauendindex<=finalstartframe,1,'last'))';
            plateausinmainpath=(find(plateauendindex>finalstartframe,1):find(plateauendindex<=finalendframe,1,'last'))';
            motionlessinchannel=(find(motionlessendindex>lastenteringchannelframe,1):find(motionlessendindex<=finalstartframe,1,'last'))';
            motionlessinmainpath=(find(motionlessendindex>finalstartframe,1):find(motionlessendindex<=finalendframe,1,'last'))';       
            stillinchannel=(find(stillendindex>lastenteringchannelframe,1):find(stillendindex<finalstartframe,1,'last'))';
            stillinmainpath=(find(stillendindex>finalstartframe,1):find(stillendindex<=finalendframe,1,'last'))';
%% *           
            %Find the overall path direction over the whole trimmed
                   %path, the interval 20:40cm and the interval 20:50cm.
%             frames=lastleavingstartzoneframe:newendframe;
            if isempty(wigglesinmainpath)==0
%             frames=wigglestartindex(wigglesinmainpath(1)):wiggleendindex(wigglesinmainpath(end));
        frames=finalstartframe:finalendframe;
[VeclengthWholePath, MeandirWholePath60, MeandirWeightedWholePath60, ~, ~, ~, ~, ~, ~, ~] = sinuosityJLW200515 (Xpos(frames), Ypos(frames), THETA(frames), chunksize, 'face',fooddistance);
            [~, MeandirWholePath150, MeandirWeightedWholePath150, ~, ~, ~, ~, ~, ~, ~] = sinuosityJLW200515 (Xpos(frames), Ypos(frames), THETA(frames), chunksize, 'face',150);
        
            frameno=(1:length(Xpos))';
            last45=find(Rpos<=45 & frameno<=finalendframe, 1, 'last');
            if isempty(last45)==1; last45=finalstartframe; end
            last30=find(Rpos<=30 & frameno<=finalendframe, 1, 'last');
            if isempty(last30)==1; last30=finalstartframe; end
        fortyfiveframes=finalstartframe:last45;
[VeclengthFortyFive60, MeandirFortyFive60, MeandirWeightedFortyFive60, ~, ~, ~, ~, ~, ~, ~] = sinuosityJLW200515 (Xpos(fortyfiveframes), Ypos(fortyfiveframes), THETA(fortyfiveframes), chunksize, 'face',fooddistance);
[VeclengthFortyFive150, MeandirFortyFive150, MeandirWeightedFortyFive150, ~, ~, ~, ~, ~, ~, ~] = sinuosityJLW200515 (Xpos(fortyfiveframes), Ypos(fortyfiveframes), THETA(fortyfiveframes), chunksize, 'face',150);

        thirtyframes=finalstartframe:last30;
[VeclengthThirty60, MeandirThirty60, MeandirWeightedThirty60, ~, ~, ~, ~, ~, ~, ~] = sinuosityJLW200515 (Xpos(thirtyframes), Ypos(thirtyframes), THETA(thirtyframes), chunksize, 'face',fooddistance);
[VeclengthThirty150, MeandirThirty150, MeandirWeightedThirty150, ~, ~, ~, ~, ~, ~, ~] = sinuosityJLW200515 (Xpos(thirtyframes), Ypos(thirtyframes), THETA(thirtyframes), chunksize, 'face',150);
            
            %               [qVeclengthWholePath60, qMeandirWholePath60, qMeandirWeightedWholePath60, Chunkfacingdirections60, Chunkregressioncoeffs60, Chunkbearings60, Chunkbodyangles60, ChunkcentreX60, ChunkcentreY60, ChunkcentreR60]   = sinuosityJLW200515 (AAXpos(frames), AAYpos(frames), AATHETA(frames), chunksize, 'face',fooddistance);
            else
             VeclengthWholePath=NaN;
             MeandirWeightedWholePath60=NaN;
             MeandirWeightedWholePath150=NaN;
             MeandirWholePath60=NaN;
             MeandirWholePath150=NaN;
             VeclengthFortyFive60=NaN;
             MeandirFortyFive60=NaN;
             MeandirWeightedFortyFive60=NaN;
             VeclengthFortyFive150=NaN;
             MeandirFortyFive150=NaN;
             MeandirWeightedFortyFive150=NaN;
             VeclengthThirty60=NaN;
             MeandirThirty60=NaN;
             MeandirWeightedThirty60=NaN;
             VeclengthThirty150=NaN;
             MeandirThirty150=NaN;
             MeandirWeightedThirty150=NaN;
            end
%NB It turns out that the unweighted mean dirs are far more reliable (this
%might be due the fact that Rsq is calculted a bit differently for ODR
%regression so tha tthe weightings are now too extreme).
%For the WholePath directions we calculate both weighted and unweighted.
%For the other path directions, I'm too lazy to do that, so I've just
%switched to entirely unweighted. However, I was also too lazy to change
%all the variable names so they all still claim to be Weighted although
%they are not
            if isempty(wigglesinchannel)==0
            frames=wigglestartindex(wigglesinchannel(1)):wiggleendindex(wigglesinchannel(end)); %Start and end point of wiggles in channel
            [VeclengthInChannel, MeandirWeightedInChannel60, ~,  ~, ~, ~, ~, ~, ~, ~] = sinuosityJLW200515 (Xpos(frames), Ypos(frames), THETA(frames), chunksize, 'face',fooddistance);
            [~, MeandirWeightedInChannel150, ~, ~, ~, ~, ~, ~, ~, ~] = sinuosityJLW200515 (Xpos(frames), Ypos(frames), THETA(frames), chunksize, 'face',patterndistance);
            else
             VeclengthInChannel=NaN;
             MeandirWeightedInChannel60=NaN;
             MeandirWeightedInChannel150=NaN;
            end
            
            if internalradiiframes(1)>0 & internalradiiframes(2)>0
            frames=internalradiiframes(1):internalradiiframes(2);
            [VeclengthTwentyForty, MeandirWeightedTwentyForty60, ~, ~, ~, ~, ~, ~, ~, ~] = sinuosityJLW200515 (Xpos(frames), Ypos(frames), THETA(frames), chunksize, 'face',fooddistance);
            [~, MeandirWeightedTwentyForty150, ~, ~, ~, ~, ~, ~, ~, ~] = sinuosityJLW200515 (Xpos(frames), Ypos(frames), THETA(frames), chunksize, 'face',patterndistance);
            else
              VeclengthTwentyForty=NaN;
              MeandirWeightedTwentyForty60=NaN;
              MeandirWeightedTwentyForty150=NaN;
            end
            
            if internalradiiframes(1)>0 & internalradiiframes(3)>0
            frames=internalradiiframes(1):internalradiiframes(3);
            [VeclengthTwentyFifty, MeandirWeightedTwentyFifty60, ~, ~, ~, ~, ~, ~, ~, ~] = sinuosityJLW200515 (Xpos(frames), Ypos(frames), THETA(frames), chunksize, 'face',fooddistance);
            [~, MeandirWeightedTwentyFifty150, ~, ~, ~, ~, ~, ~, ~, ~] = sinuosityJLW200515 (Xpos(frames), Ypos(frames), THETA(frames), chunksize, 'face',patterndistance);
            else
             VeclengthTwentyFifty=NaN;
             MeandirWeightedTwentyFifty60=NaN;
             MeandirWeightedTwentyFifty150=NaN;
            end
            
            %Classify paths according to whether they are +-30 degrees >30
            %or <30 degrees of the goal
            %Classify by overall direction over whole path
            if MeandirWholePath60>classificationangle
                ClassDirWholePath=1;
            elseif MeandirWholePath60>=-classificationangle & MeandirWholePath60<=classificationangle
                ClassDirWholePath=2;
            elseif MeandirWholePath60<-classificationangle
                ClassDirWholePath=3;
            else
                ClassDirWholePath=NaN;
            end
            %Classify by overall direction over 20:40
            if MeandirWeightedTwentyForty60>classificationangle
                ClassDirTwentyForty=1;
            elseif MeandirWeightedTwentyForty60>=-classificationangle & MeandirWeightedTwentyForty60<=classificationangle
                ClassDirTwentyForty=2;
            elseif MeandirWeightedTwentyForty60<-classificationangle
                ClassDirTwentyForty=3;
            else
                ClassDirTwentyForty=NaN;
            end
            %Classify by overall direction over 20:50
            if MeandirWeightedTwentyFifty60>classificationangle
                ClassDirTwentyFifty=1;
            elseif MeandirWeightedTwentyFifty60>=-classificationangle & MeandirWeightedTwentyFifty60<=classificationangle
                ClassDirTwentyFifty=2;
            elseif MeandirWeightedTwentyFifty60<-classificationangle
                ClassDirTwentyFifty=3;
            else
                ClassDirTwentyFifty=NaN;
            end
            %Classify by datapoints over whole path: to be in the +/- 30
            %group, every datapoint must stay within the +/-30 pie slice.
            %If a path goes into both the >30 and <-30 slices we classify
            %them according to which slice has the most datapoints
            frames=finalstartframe:finalendframe;
            tp=Tpos(frames);
            if isempty(tp(tp>ang2rad(classificationangle) | tp<-ang2rad(classificationangle)))==1
                ClassFramesWholePath=2;
            elseif length(tp(tp>ang2rad(classificationangle))) > length(tp(tp<ang2rad(-classificationangle)))
                ClassFramesWholePath=1;
            else
                ClassFramesWholePath=3;
            end
            %Classify by datapoints over 20:40
            frames=internalradiiframes(1):internalradiiframes(2);
            tp=Tpos(frames);
            if isempty(tp(tp>ang2rad(classificationangle) | tp<-ang2rad(classificationangle)))==1
                ClassFramesTwentyForty=2;
            elseif length(tp(tp>ang2rad(classificationangle))) > length(tp(tp<ang2rad(-classificationangle)))
                ClassFramesTwentyForty=1;
            else
                ClassFramesTwentyForty=3;
            end
            %Classify by datapoints over 20:50
            frames=internalradiiframes(1):internalradiiframes(3);
            tp=Tpos(frames);
            if isempty(tp(tp>ang2rad(classificationangle) | tp<-ang2rad(classificationangle)))==1
                ClassFramesTwentyFifty=2;
            elseif length(tp(tp>ang2rad(classificationangle))) > length(tp(tp<ang2rad(-classificationangle)))
                ClassFramesTwentyFifty=1;
            else
                ClassFramesTwentyFifty=3;
            end
 %% *           
            %Update variables for saving
%             AAAntName=AntName(1:2);
%             AARunNo=RunNo;
%             AATestFlag=TestFlag;
%             AATestType=TestType;
%             AAPosition=position;
%             AAPreTestFlag=ptflag;
%             AASupersededFlag=supercededflag;
%             AANextTest=nexttest;
%             AATrainingRunsUndertakenByAnt=unique(arunnumlist);
%             AATestsUndertakenByAnt=anttestlist;
            AAXpos=Xpos;
            AAYpos=Ypos;
            AATHETA=THETA;
            AAFacingDirPattern=facepattern;
            AAFacingDirFood=facefood;
            AATimePath=TimePath;
            AARpos=Rpos;
            AAfirstenteringchannelframe=firstenteringchannelframe;
            AAlastenteringchannelframe=lastenteringchannelframe;
            AAfirstleavingchannelframe=firstleavingchannelframe;
            AAlastleavingchannelframe=lastleavingchannelframe;
            AAfirstleavingstartzoneframe=firstleavingstartzoneframe;
            AAlastleavingstartzoneframe=lastleavingstartzoneframe;
            AAnewendframe=newendframe;
            AAfinalstartframe=finalstartframe;
            AAfinalendframe=finalendframe;
            AAinternalradiiframes=internalradiiframes;
            AAplateauturnstartindex=plateauturnstartindex;
            AAplateaustartindex=plateaustartindex;
            AAplateauendindex=plateauendindex;
            AAplateauturnstarttype=plateauturnstarttype;
            AAplateauturndirection=plateauturndirection;
            AAplateauturnstarttheta=plateauturnstarttheta;
            AAplateautheta=plateautheta;
            AAplateauturnamplitude=plateauturnamplitude;
            AAplateauturndistancetravelled=plateauturndistancetravelled;
            AAplateauturnduration=plateauturnduration;
            AAplateauduration=plateauduration;
            AAplateauendr=plateauendr;
            AAwigglestartindex=wigglestartindex;
            AAwiggleendindex=wiggleendindex;
            AAwiggledirection=wiggledirection;
            AAwiggleamplitude=wiggleamplitude;
            AAwigglestarttheta=wigglestarttheta;
            AAwiggleendtheta=wiggleendtheta;
            AAwiggleduration=wiggleduration;
            AAwiggledistancetravelled=wiggledistancetravelled;
            AAwiggleendr=wiggleendr;
            AAstillstartindex=stillstartindex;
            AAstillendindex=stillendindex;
            AAstilltheta=stilltheta;
            AAstillduration=stillduration;
            AAstillendr=stillendr;
            AAmotionlessstartindex=motionlessstartindex;
            AAmotionlessendindex=motionlessendindex;
            AAmotionlessturnstartindex=motionlessturnstartindex;
            AAmotionlessturnstarttype=motionlessturnstarttype;
            AAmotionlessturndirection=motionlessturndirection;
            AAmotionlessturnstarttheta=motionlessturnstarttheta;
            AAmotionlesstheta=motionlesstheta;
            AAmotionlessturnamplitude=motionlessturnamplitude;
            AAmotionlessturndistancetravelled=motionlessturndistancetravelled;
            AAmotionlessturnduration=motionlessturnduration;
            AAmotionlessendr=motionlessendr;
            AAwigglesinchannel=wigglesinchannel;
            AAwigglesinmainpath=wigglesinmainpath;
            AAwiggleendfacefood=wiggleendfacefood;
            AAwiggleendfacepattern=wiggleendfacepattern;
            AAwigglestartfacefood=wigglestartfacefood;
            AAwigglestartfacepattern=wigglestartfacepattern;
            AAplateausinchannel=plateausinchannel;
            AAplateausinmainpath=plateausinmainpath;
            AAmotionlessinchannel=motionlessinchannel;
            AAmotionlessinmainpath=motionlessinmainpath;
            AAstillinchannel=stillinchannel;
            AAstillinmainpath=stillinmainpath;
            AAstillfacefood=stillfacefood;
            AAstillfacepattern=stillfacepattern;
            AAVeclengthWholePath=VeclengthWholePath;
            AAMeandirWeightedWholePath60=MeandirWeightedWholePath60;
            AAMeandirWeightedWholePath150=MeandirWeightedWholePath150;
            AAMeandirWholePath60=MeandirWholePath60;
            AAMeandirWholePath150=MeandirWholePath150;
            AAVeclengthInChannel=VeclengthInChannel;
            AAMeandirWeightedInChannel60=MeandirWeightedInChannel60;
            AAMeandirWeightedInChannel150=MeandirWeightedInChannel150;
            AAVeclengthTwentyForty=VeclengthTwentyForty;
            AAMeandirWeightedTwentyForty60=MeandirWeightedTwentyForty60;
            AAMeandirWeightedTwentyForty150=MeandirWeightedTwentyForty150;
            AAVeclengthTwentyFifty=VeclengthTwentyFifty;
            AAMeandirWeightedTwentyFifty60=MeandirWeightedTwentyFifty60;
            AAMeandirWeightedTwentyFifty150=MeandirWeightedTwentyFifty150;
            AAVeclengthFortyFive60=VeclengthFortyFive60;
            AAMeandirFortyFive60=MeandirFortyFive60;
            AAMeandirWeightedFortyFive60=MeandirWeightedFortyFive60;
            AAVeclengthFortyFive150=VeclengthFortyFive150;
            AAMeandirFortyFive150=MeandirFortyFive150;
            AAMeandirWeightedFortyFive150=MeandirWeightedFortyFive150;
            AAVeclengthThirty60=VeclengthThirty60;
            AAMeandirThirty60=MeandirThirty60;
            AAMeandirWeightedThirty60=MeandirWeightedThirty60;
            AAVeclengthThirty150=VeclengthThirty150;
            AAMeandirThirty150=MeandirThirty150;
            AAMeandirWeightedThirty150=MeandirWeightedThirty150;
            AAClassDirWholePath=ClassDirWholePath;
            AAClassDirTwentyForty=ClassDirTwentyForty;
            AAClassDirTwentyFifty=ClassDirTwentyFifty;
            AAClassFramesWholePath=ClassFramesWholePath;
            AAClassFramesTwentyForty=ClassFramesTwentyForty;
            AAClassFramesTwentyFifty=ClassFramesTwentyFifty;
            AAmotionlessstartfacepattern=motionlessstartfacepattern;
            AAmotionlessendfacepattern=motionlessendfacepattern;
            AAmotionlessstartfacefood=motionlessstartfacefood;
            AAmotionlessendfacefood=motionlessendfacefood;
            AAorigRpos=origRpos;
            AAorigTHETA=origTHETA;
            AAorigTimePath=origTimePath;
            AAorigTpos=origTpos;
            AAorigXpos=origXpos;
            AAorigYpos=origYpos;
            AAplateaustartfacepattern=plateaustartfacepattern;
            AAplateauendfacepattern=plateaustartfacefood;
            AAplateaustartfacefood=plateaustartfacefood;
            AAplateauendfacefood=plateauendfacefood;
%             AAuncorrectedXpos=uncorrectedXpos;
%             AAuncorrectedYpos=uncorrectedYpos;
%             AAuncorrectedTimePath=uncorrectedTimePath;
%             AAuncorrectedTHETA=uncorrectedTHETA;
              
%% *
            ARAntName=[ARAntName;AntName(1:2)];
            ARRunNo=[ARRunNo;RunNo];
            ARTestFlag=[ARTestFlag;TestFlag];
            ARTestType=[ARTestType;TestType];
            ARPosition=[ARPosition;position];
            ARfinalstartframe=[ARfinalstartframe; finalstartframe];
            ARfinalendframe=[ARfinalendframe; finalendframe];
             if isempty(ptflag); ptflag=0; end
            ARPreTestFlag=[ARPreTestFlag;ptflag];
             if isempty(supercededflag); supercededflag=0; end
            ARSupersededFlag=[ARSupersededFlag;supercededflag];
             if isempty(nexttest); nexttest=NaN; end
            ARNextTest=[ARNextTest;nexttest];
             if isempty(AATrainingRunsUndertakenByAnt); AATrainingRunsUndertakenByAnt=NaN; end
            ARTrainingRunsUndertakenByAnt=[ARTrainingRunsUndertakenByAnt;AATrainingRunsUndertakenByAnt];
             if isempty(AATestsUndertakenByAnt); AATestsUndertakenByAnt=NaN; end
            ARTestsUndertakenByAnt=[ARTestsUndertakenByAnt;AATestsUndertakenByAnt];
             if isempty(VeclengthWholePath); VeclengthWholePath=NaN; end
            ARVeclengthWholePath=[ARVeclengthWholePath;VeclengthWholePath];
             if isempty(MeandirWeightedWholePath60); MeandirWeightedWholePath60=NaN; end
            ARMeandirWeightedWholePath60=[ARMeandirWeightedWholePath60;MeandirWeightedWholePath60];
             if isempty(MeandirWeightedWholePath150); MeandirWeightedWholePath150=NaN; end
            ARMeandirWeightedWholePath150=[ARMeandirWeightedWholePath150;MeandirWeightedWholePath150];
             if isempty(MeandirWholePath60); MeandirWholePath60=NaN; end
            ARMeandirWholePath60=[ARMeandirWholePath60;MeandirWholePath60];
             if isempty(MeandirWholePath150); MeandirWholePath150=NaN; end
            ARMeandirWholePath150=[ARMeandirWholePath150;MeandirWholePath150];
             if isempty(VeclengthInChannel); VeclengthInChannel=NaN; end
            ARVeclengthInChannel=[ARVeclengthInChannel;VeclengthInChannel];
             if isempty(MeandirWeightedInChannel60); MeandirWeightedInChannel60=NaN; end
            ARMeandirWeightedInChannel60=[ARMeandirWeightedInChannel60;MeandirWeightedInChannel60];
             if isempty(MeandirWeightedInChannel150); MeandirWeightedInChannel150=NaN; end
            ARMeandirWeightedInChannel150=[ARMeandirWeightedInChannel150;MeandirWeightedInChannel150];
             if isempty(VeclengthTwentyForty); VeclengthTwentyForty=NaN; end
            ARVeclengthTwentyForty=[ARVeclengthTwentyForty;VeclengthTwentyForty];
             if isempty(MeandirWeightedTwentyForty60); MeandirWeightedTwentyForty60=NaN; end
            ARMeandirWeightedTwentyForty60=[ARMeandirWeightedTwentyForty60;MeandirWeightedTwentyForty60];
             if isempty(MeandirWeightedTwentyForty150); MeandirWeightedTwentyForty150=NaN; end
            ARMeandirWeightedTwentyForty150=[ARMeandirWeightedTwentyForty150;MeandirWeightedTwentyForty150];
             if isempty(VeclengthTwentyFifty); VeclengthTwentyFifty=NaN; end
            ARVeclengthTwentyFifty=[ARVeclengthTwentyFifty;VeclengthTwentyFifty];
             if isempty(MeandirWeightedTwentyFifty60); MeandirWeightedTwentyFifty60=NaN; end
            ARMeandirWeightedTwentyFifty60=[ARMeandirWeightedTwentyFifty60;MeandirWeightedTwentyFifty60];
             if isempty(MeandirWeightedTwentyFifty150); MeandirWeightedTwentyFifty150=NaN; end
            ARMeandirWeightedTwentyFifty150=[ARMeandirWeightedTwentyFifty150;MeandirWeightedTwentyFifty150];
             if isempty(VeclengthFortyFive60); VeclengthFortyFive60=NaN; end 
             ARVeclengthFortyFive60=[ARVeclengthFortyFive60; VeclengthFortyFive60];
             if isempty(MeandirFortyFive60); MeandirFortyFive60=NaN; end 
            ARMeandirFortyFive60=[ARMeandirFortyFive60; MeandirFortyFive60];
             if isempty(MeandirWeightedFortyFive60); MeandirWeightedFortyFive60=NaN; end 
            ARMeandirWeightedFortyFive60=[ARMeandirWeightedFortyFive60; MeandirWeightedFortyFive60];
             if isempty(VeclengthFortyFive150); VeclengthFortyFive150=NaN; end 
            ARVeclengthFortyFive150=[ARVeclengthFortyFive150; VeclengthFortyFive150];
             if isempty(MeandirFortyFive150); MeandirFortyFive150=NaN; end 
            ARMeandirFortyFive150=[ARMeandirFortyFive150; MeandirFortyFive150];
             if isempty(MeandirWeightedFortyFive150); MeandirWeightedFortyFive150=NaN; end 
            ARMeandirWeightedFortyFive150=[ARMeandirWeightedFortyFive150; MeandirWeightedFortyFive150];
             if isempty(VeclengthThirty60); VeclengthThirty60=NaN; end 
            ARVeclengthThirty60=[ARVeclengthThirty60; VeclengthThirty60];
             if isempty(MeandirThirty60); MeandirThirty60=NaN; end 
            ARMeandirThirty60=[ARMeandirThirty60; MeandirThirty60];
             if isempty(MeandirWeightedThirty60); MeandirWeightedThirty60=NaN; end 
            ARMeandirWeightedThirty60=[ARMeandirWeightedThirty60; MeandirWeightedThirty60];
             if isempty(VeclengthThirty150); VeclengthThirty150=NaN; end 
            ARVeclengthThirty150=[ARVeclengthThirty150; VeclengthThirty150];
             if isempty(MeandirThirty150); MeandirThirty150=NaN; end 
            ARMeandirThirty150=[ARMeandirThirty150; MeandirThirty150];
             if isempty(MeandirWeightedThirty150); MeandirWeightedThirty150=NaN; end 
            ARMeandirWeightedThirty150=[ARMeandirWeightedThirty150; MeandirWeightedThirty150];

            
             if isempty(ClassDirWholePath); ClassDirWholePath=NaN; end
            ARClassDirWholePath=[ARClassDirWholePath;ClassDirWholePath];
             if isempty(ClassDirTwentyForty); ClassDirTwentyForty=NaN; end
            ARClassDirTwentyForty=[ARClassDirTwentyForty;ClassDirTwentyForty];
             if isempty(ClassDirTwentyFifty); ClassDirTwentyFifty=NaN; end
            ARClassDirTwentyFifty=[ARClassDirTwentyFifty;ClassDirTwentyFifty];
             if isempty(ClassFramesWholePath); ClassFramesWholePath=NaN; end
            ARClassFramesWholePath=[ARClassFramesWholePath;ClassFramesWholePath];
             if isempty(ClassFramesTwentyForty); ClassFramesTwentyForty=NaN; end
            ARClassFramesTwentyForty=[ARClassFramesTwentyForty;ClassFramesTwentyForty];
             if isempty(ClassFramesTwentyFifty); ClassFramesTwentyFifty=NaN; end
            ARClassFramesTwentyFifty=[ARClassFramesTwentyFifty;ClassFramesTwentyFifty];

           if isempty(wigglestartindex)==0
            for qind=1:length(wigglestartindex); AWAntName=[AWAntName;AntName(1:2)]; end
            AWRunNo=[AWRunNo;repmat(RunNo,size(wigglestartindex))];
            AWTestFlag=[AWTestFlag;repmat(TestFlag,size(wigglestartindex))];
            AWTestType=[AWTestType;repmat(TestType,size(wigglestartindex))];
            AWPosition=[AWPosition;repmat(position,size(wigglestartindex))];
            AWPreTestFlag=[AWPreTestFlag;repmat(ptflag,size(wigglestartindex))];
            AWSupersededFlag=[AWSupersededFlag;repmat(supercededflag,size(wigglestartindex))];
            AWNextTest=[AWNextTest;repmat(nexttest,size(wigglestartindex))];
            AWClassDirWholePath=[AWClassDirWholePath;repmat(ClassDirWholePath,size(wigglestartindex))];
            AWClassDirTwentyForty=[AWClassDirTwentyForty;repmat(ClassDirTwentyForty,size(wigglestartindex))];
            AWClassDirTwentyFifty=[AWClassDirTwentyFifty;repmat(ClassDirTwentyFifty,size(wigglestartindex))];
            AWClassFramesWholePath=[AWClassFramesWholePath;repmat(ClassFramesWholePath,size(wigglestartindex))];
            AWClassFramesTwentyForty=[AWClassFramesTwentyForty;repmat(ClassFramesTwentyForty,size(wigglestartindex))];
            AWClassFramesTwentyFifty=[AWClassFramesTwentyFifty;repmat(ClassFramesTwentyFifty,size(wigglestartindex))];
            AWwigglestartindex=[AWwigglestartindex;wigglestartindex];
            AWwiggleendindex=[AWwiggleendindex;wiggleendindex];
            AWwiggledirection=[AWwiggledirection;wiggledirection];
            AWwiggleamplitude=[AWwiggleamplitude;wiggleamplitude];
            AWwigglestarttheta=[AWwigglestarttheta;wigglestarttheta];
            AWwiggleendtheta=[AWwiggleendtheta;wiggleendtheta];
            AWwiggleduration=[AWwiggleduration;wiggleduration];
            AWwiggledistancetravelled=[AWwiggledistancetravelled;wiggledistancetravelled];
            AWwiggleendr=[AWwiggleendr;wiggleendr];
             if isempty(wigglesinchannel)==1; wigglesinchannel=NaN; end
             if isempty(wigglesinmainpath)==1; wigglesinmainpath=NaN; end
            for qind=1:length(wigglestartindex);AWwigglesinchannel=[AWwigglesinchannel;wigglesinchannel];end;
            for qind=1:length(wigglestartindex);AWwigglesinmainpath=[AWwigglesinmainpath;wigglesinmainpath]; end;
            AWwigglestartfacepattern=[AWwigglestartfacepattern;wigglestartfacepattern];
            AWwiggleendfacepattern=[AWwiggleendfacepattern;wiggleendfacepattern];
            AWwigglestartfacefood=[AWwigglestartfacefood;wigglestartfacefood];
            AWwiggleendfacefood=[AWwiggleendfacefood;wiggleendfacefood];
                icf=zeros(size(wigglestartindex));
                if isnan(wigglesinchannel)==0 & isempty(wigglesinchannel)==0
                icf(wigglesinchannel)=1;
                end
            AWinchannelflag=[AWinchannelflag; icf];
                imp=zeros(size(wigglestartindex));
                if isnan(wigglesinmainpath)==0 & isempty(wigglesinmainpath)==0
                imp(wigglesinmainpath)=1;
                end
            AWinmainpathflag=[AWinmainpathflag; imp];
            AWcrossredgeflag=[AWcrossredgeflag; wigglecrossredgeflag];
            AWcrosszero60flag=[AWcrosszero60flag; wigglecrosszero60flag];
            AWcrosszero150flag=[AWcrosszero150flag; wigglecrosszero150flag];
            AWamplituderelativetoredge=[AWamplituderelativetoredge; wiggleamplituderelativetoredge];
            AWamplituderelativetozero60=[AWamplituderelativetozero60; wiggleamplituderelativetozero60];
            AWamplituderelativetozero150=[AWamplituderelativetozero150; wiggleamplituderelativetozero150];
            AWdistfromfeeder=[AWdistfromfeeder; wiggleamplituderelativetozero150];
            AWcrosscentreflag=[AWcrosscentreflag; wigglecrosscentreflag];
            AWamplituderelativetocentre=[AWamplituderelativetocentre; wiggleamplituderelativetocentre];
           end %if isempty(wigglestartindex)==0
           
           if isempty(plateauturnstartindex)==0
            for qind=1:length(plateauturnstartindex); APAntName=[APAntName;AntName(1:2)]; end
            APRunNo=[APRunNo;repmat(RunNo,size(plateauturnstartindex))];
            APTestFlag=[APTestFlag;repmat(TestFlag,size(plateauturnstartindex))];
            APTestType=[APTestType;repmat(TestType,size(plateauturnstartindex))];
            APPosition=[APPosition;repmat(position,size(plateauturnstartindex))];
            APPreTestFlag=[APPreTestFlag;repmat(ptflag,size(plateauturnstartindex))];
            APSupersededFlag=[APSupersededFlag;repmat(supercededflag,size(plateauturnstartindex))];
            APNextTest=[APNextTest;repmat(nexttest,size(plateauturnstartindex))];
            APClassDirWholePath=[APClassDirWholePath;repmat(ClassDirWholePath,size(plateauturnstartindex))];
            APClassDirTwentyForty=[APClassDirTwentyForty;repmat(ClassDirTwentyForty,size(plateauturnstartindex))];
            APClassDirTwentyFifty=[APClassDirTwentyFifty;repmat(ClassDirTwentyFifty,size(plateauturnstartindex))];
            APClassFramesWholePath=[APClassFramesWholePath;repmat(ClassFramesWholePath,size(plateauturnstartindex))];
            APClassFramesTwentyForty=[APClassFramesTwentyForty;repmat(ClassFramesTwentyForty,size(plateauturnstartindex))];
            APClassFramesTwentyFifty=[APClassFramesTwentyFifty;repmat(ClassFramesTwentyFifty,size(plateauturnstartindex))];
            APplateauturnstartindex=[APplateauturnstartindex;plateauturnstartindex];
            APplateaustartindex=[APplateaustartindex;plateaustartindex];
            APplateauendindex=[APplateauendindex;plateauendindex];
            APplateauturnstarttype=[APplateauturnstarttype;plateauturnstarttype];
            APplateauturndirection=[APplateauturndirection;plateauturndirection];
            APplateauturnstarttheta=[APplateauturnstarttheta;plateauturnstarttheta];
            APplateautheta=[APplateautheta;plateautheta];
            APplateauturnamplitude=[APplateauturnamplitude;plateauturnamplitude];
            APplateauturndistancetravelled=[APplateauturndistancetravelled;plateauturndistancetravelled];
            APplateauturnduration=[APplateauturnduration;plateauturnduration];
            APplateauduration=[APplateauduration;plateauduration];
            APplateauendr=[APplateauendr;plateauendr];
             if isempty(plateausinchannel)==1; plateausinchannel=NaN; end
             if isempty(plateausinmainpath)==1; plateausinmainpath=NaN; end
            for qind=1:length(plateauturnstartindex);APplateausinchannel=[APplateausinchannel;plateausinchannel];end;
            for qind=1:length(plateauturnstartindex);APplateausinmainpath=[APplateausinmainpath;plateausinmainpath];end;
            APplateaustartfacepattern=[APplateaustartfacepattern;plateaustartfacepattern];
            APplateauendfacepattern=[APplateauendfacepattern;plateauendfacepattern];
            APplateaustartfacefood=[APplateaustartfacefood;plateaustartfacefood];
            APplateauendfacefood=[APplateauendfacefood;plateauendfacefood];
                icf=zeros(size(plateaustartindex));
                if isnan(plateausinchannel)==0 & isempty(plateausinchannel)==0
                icf(plateausinchannel)=1;
                end
            APinchannelflag=[APinchannelflag; icf];
                imp=zeros(size(plateaustartindex));
                if isnan(plateausinmainpath)==0 & isempty(plateausinmainpath)==0
                imp(plateausinmainpath)=1;
                end
            APinmainpathflag=[APinmainpathflag; imp];
            APcrossredgeflag=[APcrossredgeflag; plateaucrossredgeflag];
            APcrosszero60flag=[APcrosszero60flag; plateaucrosszero60flag];
            APcrosszero150flag=[APcrosszero150flag; plateaucrosszero150flag];
            APamplituderelativetoredge=[APamplituderelativetoredge; plateauamplituderelativetoredge];
            APamplituderelativetozero60=[APamplituderelativetozero60; plateauamplituderelativetozero60];
            APamplituderelativetozero150=[APamplituderelativetozero150; plateauamplituderelativetozero150];
            APamplituderelativetocentre=[APamplituderelativetocentre; plateauamplituderelativetocentre];
            APdistfromfeeder=[APdistfromfeeder; plateauamplituderelativetozero150];
            APcrosscentreflag=[APcrosscentreflag; plateaucrosscentreflag];
           end %if isempty(plateauturnstartindex)==0
           
           if isempty(stillstartindex)==0
            for qind=1:length(stillstartindex); ASAntName=[ASAntName;AntName(1:2)];end
            ASRunNo=[ASRunNo;repmat(RunNo,size(stillstartindex))];
            ASTestFlag=[ASTestFlag;repmat(TestFlag,size(stillstartindex))];
            ASTestType=[ASTestType;repmat(TestType,size(stillstartindex))];
            ASPosition=[ASPosition;repmat(position,size(stillstartindex))];
            ASPreTestFlag=[ASPreTestFlag;repmat(ptflag,size(stillstartindex))];
            ASSupersededFlag=[ASSupersededFlag;repmat(supercededflag,size(stillstartindex))];
            ASNextTest=[ASNextTest;repmat(nexttest,size(stillstartindex))];
            ASClassDirWholePath=[ASClassDirWholePath;repmat(ClassDirWholePath,size(stillstartindex))];
            ASClassDirTwentyForty=[ASClassDirTwentyForty;repmat(ClassDirTwentyForty,size(stillstartindex))];
            ASClassDirTwentyFifty=[ASClassDirTwentyFifty;repmat(ClassDirTwentyFifty,size(stillstartindex))];
            ASClassFramesWholePath=[ASClassFramesWholePath;repmat(ClassFramesWholePath,size(stillstartindex))];
            ASClassFramesTwentyForty=[ASClassFramesTwentyForty;repmat(ClassFramesTwentyForty,size(stillstartindex))];
            ASClassFramesTwentyFifty=[ASClassFramesTwentyFifty;repmat(ClassFramesTwentyFifty,size(stillstartindex))];
            ASstillstartindex=[ASstillstartindex;stillstartindex];
            ASstillendindex=[ASstillendindex;stillendindex];
            ASstilltheta=[ASstilltheta;stilltheta];
            ASstillduration=[ASstillduration;stillduration];
            ASstillendr=[ASstillendr;stillendr];
                if isempty(stillinchannel)==1; stillinchannel=NaN; end
                if isempty(stillinmainpath)==1; stillinmainpath=NaN; end
            for qind=1:length(stillstartindex);ASstillinchannel=[ASstillinchannel;stillinchannel];end;
            for qind=1:length(stillstartindex);ASstillinmainpath=[ASstillinmainpath;stillinmainpath];end;
            ASstillfacepattern=[ASstillfacepattern;stillfacepattern];
            ASstillfacefood=[ASstillfacefood;stillfacefood];
                icf=zeros(size(stillstartindex));
                if isnan(stillinchannel)==0 & isempty(stillinchannel)==0
                icf(stillinchannel)=1;
                end
            ASinchannelflag=[ASinchannelflag; icf];
                imp=zeros(size(stillstartindex));
                if isnan(stillinmainpath)==0 & isempty(stillinmainpath)==0
                imp(stillinmainpath)=1;
                end
            ASinmainpathflag=[ASinmainpathflag; imp];
           end %if isempty(stillstartindex)==0

           if isempty(motionlessstartindex)==0
            for qind=1:length(motionlessstartindex); AMAntName=[AMAntName;AntName(1:2)]; end
            AMRunNo=[AMRunNo;repmat(RunNo,size(motionlessstartindex))];
            AMTestFlag=[AMTestFlag;repmat(TestFlag,size(motionlessstartindex))];
            AMTestType=[AMTestType;repmat(TestType,size(motionlessstartindex))];
            AMPosition=[AMPosition;repmat(position,size(motionlessstartindex))];
            AMPreTestFlag=[AMPreTestFlag;repmat(ptflag,size(motionlessstartindex))];
            AMSupersededFlag=[AMSupersededFlag;repmat(supercededflag,size(motionlessstartindex))];
            AMNextTest=[AMNextTest;repmat(nexttest,size(motionlessstartindex))];
            AMClassDirWholePath=[AMClassDirWholePath;repmat(ClassDirWholePath,size(motionlessstartindex))];
            AMClassDirTwentyForty=[AMClassDirTwentyForty;repmat(ClassDirTwentyForty,size(motionlessstartindex))];
            AMClassDirTwentyFifty=[AMClassDirTwentyFifty;repmat(ClassDirTwentyFifty,size(motionlessstartindex))];
            AMClassFramesWholePath=[AMClassFramesWholePath;repmat(ClassFramesWholePath,size(motionlessstartindex))];
            AMClassFramesTwentyForty=[AMClassFramesTwentyForty;repmat(ClassFramesTwentyForty,size(motionlessstartindex))];
            AMClassFramesTwentyFifty=[AMClassFramesTwentyFifty;repmat(ClassFramesTwentyFifty,size(motionlessstartindex))];
            AMmotionlessstartindex=[AMmotionlessstartindex;motionlessstartindex];
            AMmotionlessendindex=[AMmotionlessendindex;motionlessendindex];
            AMmotionlessturnstartindex=[AMmotionlessturnstartindex;motionlessturnstartindex];
            AMmotionlessturnstarttype=[AMmotionlessturnstarttype;motionlessturnstarttype];
            AMmotionlessturndirection=[AMmotionlessturndirection;motionlessturndirection];
            AMmotionlessturnstarttheta=[AMmotionlessturnstarttheta;motionlessturnstarttheta];
            AMmotionlesstheta=[AMmotionlesstheta;motionlesstheta];
            AMmotionlessturnamplitude=[AMmotionlessturnamplitude;motionlessturnamplitude];
            AMmotionlessturndistancetravelled=[AMmotionlessturndistancetravelled;motionlessturndistancetravelled];
            AMmotionlessturnduration=[AMmotionlessturnduration;motionlessturnduration];
                if isempty(motionlessinchannel); motionlessinchannel=NaN; end
                if isempty(motionlessinmainpath); motionlessinmainpath=NaN; end
            for qind=1:length(motionlessstartindex);AMmotionlessinchannel=[AMmotionlessinchannel;motionlessinchannel];end;
            for qind=1:length(motionlessstartindex);AMmotionlessinmainpath=[AMmotionlessinmainpath;motionlessinmainpath];end;
            AMmotionlessstartfacepattern=[AMmotionlessstartfacepattern;motionlessstartfacepattern];
            AMmotionlessendfacepattern=[AMmotionlessendfacepattern;motionlessendfacepattern];
            AMmotionlessstartfacefood=[AMmotionlessstartfacefood;motionlessstartfacefood];
            AMmotionlessendfacefood=[AMmotionlessendfacefood;motionlessendfacefood];
            AMmotionlessendr=[AMmotionlessendr;motionlessendr];
                icf=zeros(size(motionlessstartindex));
                if isnan(motionlessinchannel)==0 & isempty(motionlessinchannel)==0
                icf(motionlessinchannel)=1;
                end
            AMinchannelflag=[AMinchannelflag; icf];
                imp=zeros(size(motionlessstartindex));
                if isnan(motionlessinmainpath)==0 & isempty(motionlessinmainpath)==0
                imp(motionlessinmainpath)=1;
                end
            AMinmainpathflag=[AMinmainpathflag; imp];
            AMcrossredgeflag=[AMcrossredgeflag; motionlesscrossredgeflag];
            AMcrosszero60flag=[AMcrosszero60flag; motionlesscrosszero60flag];
            AMcrosszero150flag=[AMcrosszero150flag; motionlesscrosszero150flag];
            AMamplituderelativetoredge=[AMamplituderelativetoredge; motionlessamplituderelativetoredge];
            AMamplituderelativetozero60=[AMamplituderelativetozero60; motionlessamplituderelativetozero60];
            AMamplituderelativetozero150=[AMamplituderelativetozero150; motionlessamplituderelativetozero150];
            AMdistfromfeeder=[AMdistfromfeeder; motionlessamplituderelativetozero150];
            AMcrosscentreflag=[AMcrosscentreflag; motionlesscrosscentreflag];
            AMamplituderelativetocentre=[AMamplituderelativetocentre; motionlessamplituderelativetocentre];
           end %if isempty(motionlessstartindex)==0
 %% *           
            %Save data
            cd(savedir);
            s1name=[filename(1:end-4) '.mat'];
            save(s1name,'AA*');
            
 %% *                  
                   
              %Plot paths
         scrsz = get(0,'ScreenSize');%gets screenzize setting. Used later to make figs the right size
        if TestFlag==0
        figpatternledgeang=64.0986;
        figpatternredgeang=45;
        elseif TestType==1
        figpatternledgeang=109.0986;
        figpatternredgeang=90;
        elseif TestType==2
        figpatternledgeang=22.9183;
        figpatternredgeang=3.8197;
        elseif TestType==3
        figpatternledgeang=[];
        figpatternredgeang=[];
        end %if TestFlag==0
        figfoodang=0;
        
        internalradiidir=(ones(361,length(internalradii)));
        for irind=1:length(internalradii);
          internalradiidir(:,irind)=internalradii(irind);
        end
        stpotangs=(((18.4091:1:360-18.4091)')/360)*(2*pi);
        stpotrs=(ones(length(stpotangs),1))*4.75;
        upperguidex=[4.5069 4.5069+13]; upperguidey=[1.5 1.5];
        lowerguidex=[4.5069 4.5069+13]; lowerguidey=[-1.5 -1.5];
        arenaedge=(ones(361,1))*60;
        qt=(((0:1:360)')/360)*(2*pi);
        [stpotx,stpoty]=pol2cart(stpotangs,stpotrs);
        [internalradiidirx,internalradiidiry]=pol2cart(repmat(qt,1,length(internalradii)),internalradiidir);
        [arenaedgex,arenaedgey]=pol2cart(qt,arenaedge);
        [foodx,foody]=pol2cart(ang2rad(figfoodang),fooddistance);
        lmarkt=(((figpatternredgeang:0.1:figpatternledgeang)')/360)*(2*pi);
        [lmarkx,lmarky]=pol2cart(lmarkt,(ones(length(lmarkt),1))*60);
%%
if plotnewpathfigs==1
       TestType=AATestType;
desiredfacingangle=10;
desiredframegap=10; %if the ant looks at the goal again within this no of frames, we consuider it part of the same look, but greater gaps treated as a new look

   %find all frames to plot
   frames=AAfinalstartframe:AAfinalendframe;
   %find places ant facing +/- 10 degrees
   facingind=find(abs(AAFacingDirFood(frames))<=desiredfacingangle);
   if isempty(facingind)==0
       %look for groups of these
       df=diff(facingind);
       fgstarts=[facingind(1); facingind(df>10)];
       fgends=[facingind(df>10); facingind(end)];

       fgmids=zeros(size(fgstarts));
       for fgind=1:length(fgmids)
           midind=find(abs(AAFacingDirFood(frames(fgstarts(fgind):fgends(fgind))))==min(abs(AAFacingDirFood(frames(fgstarts(fgind):fgends(fgind))))),1);
          fgmids(fgind)=frames(fgstarts(fgind)+midind-1);
       end
   else
       fgmids=[];
   end %if isempty(facingind)==0

    
    
          %Plot track
           %Detailed path figure   
        figure(511); hold all; axis equal
        set(gcf,'Position',[178 49 800 800]);
       
        %plot markers
        plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        
        %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');
        
     
        %plot path
        plot(AAXpos(frames),AAYpos(frames),'k', 'LineWidth',2);
        
        %scatter markers when ant facing food
        scatter(AAXpos(fgmids), AAYpos(fgmids), 'r', 'filled');
        
        %Plot food marker above path
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);

        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 

        %save
             savename=filename(1:end-4);
if strcmp(filename(15),'P')==1
cd(npsavematdir);
elseif strcmp(filename(15),'1')==1
    cd(npsavematT1dir);
elseif strcmp(filename(15),'2')==1
    cd(npsavematT2dir);
elseif strcmp(filename(15),'3')==1
    cd(npsavematT3dir);
end
savefig(gcf, [savename '.fig']);

if strcmp(filename(15),'P')==1
cd(npsavetiffdir);
elseif strcmp(filename(15),'1')==1
    cd(npsavetiffT1dir);
elseif strcmp(filename(15),'2')==1
    cd(npsavetiffT2dir);
elseif strcmp(filename(15),'3')==1
    cd(npsavetiffT3dir);
end
print('-dtiffn',savename);
close(511);   

    
end %if plotnewpathfigs==1

%%
 if plotindivpathfigs==1
     % Track figs

%Positions of various things in arena
        figfoodang=0;
        fooddistance=55;
% internalradiidir=(ones(361,length(internalradii)));
%         for irind=1:length(internalradii);
%           internalradiidir(:,irind)=internalradii(irind);
%         end
        stpotangs=(((18.4091:1:360-18.4091)')/360)*(2*pi);
        stpotrs=(ones(length(stpotangs),1))*4.75;
        upperguidex=[4.5069 4.5069+13]; upperguidey=[1.5 1.5];
        lowerguidex=[4.5069 4.5069+13]; lowerguidey=[-1.5 -1.5];
        arenaedge=(ones(361,1))*60;
        qt=(((0:1:360)')/360)*(2*pi);
        [stpotx,stpoty]=pol2cart(stpotangs,stpotrs);
%         [internalradiidirx,internalradiidiry]=pol2cart(repmat(qt,1,length(internalradii)),internalradiidir);
        [arenaedgex,arenaedgey]=pol2cart(qt,arenaedge);
        [foodx,foody]=pol2cart(ang2rad(figfoodang),fooddistance);
       
  
   %Get pattern locations
         scrsz = get(0,'ScreenSize');%gets screenzize setting. Used later to make figs the right size
        if AATestFlag==0
        figpatternledgeang=64.0986;
        figpatternredgeang=45;
        elseif AATestType==1
        figpatternledgeang=109.0986;
        figpatternredgeang=90;
        elseif AATestType==2
        figpatternledgeang=22.9183;
        figpatternredgeang=3.8197;
        elseif AATestType==3
        figpatternledgeang=[];
        figpatternredgeang=[];
        end %if TestFlag==0
         lmarkt=(((figpatternredgeang:0.1:figpatternledgeang)')/360)*(2*pi);
        [lmarkx,lmarky]=pol2cart(lmarkt,(ones(length(lmarkt),1))*60);
        
      %Plot track
           %Detailed path figure   
        figure(11); hold all; axis equal
        set(gcf,'Position',[178 49 800 800]);
       
        %plot markers
        plot(stpotx, stpoty, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(upperguidex,upperguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(lowerguidex,lowerguidey, 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
        plot(lmarkx,lmarky,'k','LineWidth',8);
        
        %plot scale bar
        scalex=-55; scaley=-50; scalelength=10;
        plot([scalex scalex+scalelength], [scaley scaley], 'k', 'LineWidth', 3);
        tt=text(scalex+(scalelength/2), scaley+1, [num2str(scalelength) 'cm'], 'HorizontalAlignment','center','VerticalAlignment','bottom', 'FontSize', 12, 'FontWeight', 'bold');
        
     
        %plot path
        frames=AAfinalstartframe:AAfinalendframe;
        plot(AAXpos(frames),AAYpos(frames),'k', 'LineWidth',2);
        
        %Plot food marker above path
        scatter(foodx,foody,80, 'MarkerEdgeColor',[0.6 0.6 0.6], 'MarkerFaceColor','w', 'LineWidth', 1.5);

        axis equal;
%         axis off;
        set(gca,'xtick',[],'ytick',[],'XColor','none','YColor','none'); 
        

  %Save
     savename=[filename(7:end-4) '_track'];
if strcmp(filename(15),'P')==1
cd(ipsavematdir);
elseif strcmp(filename(15),'1')==1
    cd(ipsavematT1dir);
elseif strcmp(filename(15),'2')==1
    cd(ipsavematT2dir);
elseif strcmp(filename(15),'3')==1
    cd(ipsavematT3dir);
end
savefig(gcf, [savename '.fig']);

if strcmp(filename(15),'P')==1
cd(ipsavetiffdir);
elseif strcmp(filename(15),'1')==1
    cd(ipsavetiffT1dir);
elseif strcmp(filename(15),'2')==1
    cd(ipsavetiffT2dir);
elseif strcmp(filename(15),'3')==1
    cd(ipsavetiffT3dir);
end
print('-dtiffn',savename);
close(11);   


%      %Detailed path figure   
%         figure(11); hold all; axis equal
%         set(gcf,'Position',[178 49 785 635]);
%         titletext={};
%         titletext=[titletext; 'Ant ' AntName(1:2) ', Trial ' num2str(RunNo)];
%             if TestType==0
%         titletext=[titletext; 'Training Trial'];
%             else
%         titletext=[titletext; 'Test Type ' num2str(TestType)];
%             end
%         title(titletext);
%         plot(stpotx, stpoty, 'k', 'LineWidth', 2);
%         plot(upperguidex,upperguidey, 'k', 'LineWidth', 2);
%         plot(lowerguidex,lowerguidey, 'k', 'LineWidth', 2);
% %         plot(internalradiidirx(:,1),internalradiidiry(:,1), '--g');
% %         plot(internalradiidirx(:,2),internalradiidiry(:,2), '-.r');
% %         plot(internalradiidirx(:,3),internalradiidiry(:,3), '--r');
%         plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
%         plot(lmarkx,lmarky,'k','LineWidth',8);
%         scatter(foodx,foody,80, 'y', 'filled');
%         
%         %Start and end of path that are not counted
% %          frames=1:wigglestartindex(wigglesinmainpath(1));
% %         plot(Xpos(frames), Ypos(frames),'y --', 'LineWidth', 1); %bits chopped off start of path
% %          frames=wiggleendindex(wigglesinmainpath(end)):length(Xpos);
% %         plot(Xpos(frames), Ypos(frames),'y --', 'LineWidth', 1); %bits chopped off start of path
%         %Lines to indicate facing directions of ends of wiggles
% %        if  isempty(wigglesinmainpath)==0 & isnan(wigglesinmainpath)==0
% %         for wind=1:length(wigglesinmainpath)
% %             frames=wigglestartindex(wigglesinmainpath(wind)):wiggleendindex(wigglesinmainpath(wind));
% %             [xx,yy]=pol2cart(ang2rad(wiggleendfacefood(wigglesinmainpath(wind))),60);
% % 
% %             if wiggledirection(wigglesinmainpath(wind))==0
% % %             plot(Xpos(frames), Ypos(frames),'m', 'LineWidth', 2); 
% %             plot([Xpos(wiggleendindex(wigglesinmainpath(wind))) xx],[Ypos(wiggleendindex(wigglesinmainpath(wind))) yy],'--','Color',[0.8 0.8 0.8]) ;
% %             else
% % %             plot(Xpos(frames), Ypos(frames),'c', 'LineWidth', 2); 
% %             plot([Xpos(wiggleendindex(wigglesinmainpath(wind))) xx],[Ypos(wiggleendindex(wigglesinmainpath(wind))) yy],'-..','Color',[0.8 0.8 0.8]) ;
% %             end
% %         end %for wind=1:length(wigglesinmainpath)
% %        end %if  isempty()=0 & isnan()=0
% 
%         %Left and right wiggles in main path
%        if  isempty(wigglesinmainpath)==0 & isnan(wigglesinmainpath)==0 
%         for wind=1:length(wigglesinmainpath)
%             frames=wigglestartindex(wigglesinmainpath(wind)):wiggleendindex(wigglesinmainpath(wind));
%             [xx,yy]=pol2cart(ang2rad(wiggleendfacefood(wigglesinmainpath(wind))),60);
% 
%             if wiggledirection(wigglesinmainpath(wind))==0
%             plot(Xpos(frames), Ypos(frames),'Color',[0.65 0.65 0.65], 'LineWidth', 2); 
% %             plot([Xpos(wiggleendindex(wigglesinmainpath(wind))) xx],[Ypos(wiggleendindex(wigglesinmainpath(wind))) yy],'--','Color',[0.8 0.8 0.8]) ;
%             else
%             plot(Xpos(frames), Ypos(frames),'Color',[0.45 0.45 0.45], 'LineWidth', 2); 
% %             plot([Xpos(wiggleendindex(wigglesinmainpath(wind))) xx],[Ypos(wiggleendindex(wigglesinmainpath(wind))) yy],'-..','Color',[0.8 0.8 0.8]) ;
%             end
%         end %for wind=1:length(wigglesinmainpath)
%        end %if  isempty()=0 & isnan()=0
%                %Plateaus
%        if  isempty(plateausinmainpath)==0 & isnan(plateausinmainpath)==0 
%         for pind=1:length(plateausinmainpath)
%              frames=plateaustartindex(plateausinmainpath(pind)): plateauendindex(plateausinmainpath(pind));
%             scatter(Xpos(plateauendindex(plateausinmainpath(pind))),Ypos(plateauendindex(plateausinmainpath(pind))),6, 'MarkerFaceColor', [1 1 1], 'MarkerEdgeColor', [0 0 0])
% %             plot(Xpos(frames), Ypos(frames),'k', 'LineWidth', 4); 
% %              [xx,yy]=pol2cart(ang2rad(plateauendfacefood(plateausinmainpath(pind))),60);
% %             plot([Xpos(plateauendindex(plateausinmainpath(pind))) xx],[Ypos(plateauendindex(plateausinmainpath(pind))) yy],'--','Color',[0.3 0.3 0.3]) ;
% 
%         end %for pind=length(plateausinmainpath)
%        end %if  isempty()=0 & isnan()=0
% %         %Motionless points
% %         scatter(Xpos(motionlessendindex(motionlessinmainpath)), Ypos(motionlessendindex(motionlessinmainpath)),'k');
%         %Indicators of overall path facing direction
% %          [xx,yy]=pol2cart(ang2rad(MeandirWeightedTwentyForty60),63);
% %         scatter(xx,yy,'bo','filled');
% %          [xx,yy]=pol2cart(ang2rad(MeandirWeightedTwentyForty150),63);
% %         scatter(xx,yy,'bo');
% %          [xx,yy]=pol2cart(ang2rad(MeandirWeightedTwentyFifty60),66);
% %         scatter(xx,yy,'ro','filled');
% %          [xx,yy]=pol2cart(ang2rad(MeandirWeightedTwentyFifty150),66);
% %         scatter(xx,yy,'ro');
%          [xx,yy]=pol2cart(ang2rad(MeandirWeightedWholePath60),63);
%         scatter(xx,yy,'ko','filled');
% %          [xx,yy]=pol2cart(ang2rad(MeandirWeightedWholePath150),69);
% %         scatter(xx,yy,'ko');   
%         
% %         %Simple path figure   
% %         figure(12); hold all; axis equal;
% %         set(gcf,'Position',[178 49 785 635]);
% %         titletext={};
% %         titletext=[titletext; 'Ant ' AntName(1:2) ', Trial ' num2str(RunNo)];
% %             if TestType==0
% %         titletext=[titletext; 'Training Trial'];
% %             else
% %         titletext=[titletext; 'Test Type ' num2str(TestType)];
% %             end
% %         title(titletext);
% %         plot(stpotx, stpoty, 'k', 'LineWidth', 2);
% %         plot(upperguidex,upperguidey, 'k', 'LineWidth', 2);
% %         plot(lowerguidex,lowerguidey, 'k', 'LineWidth', 2);
% %         plot(arenaedgex,arenaedgey, 'k', 'LineWidth', 1);
% %         plot(lmarkx,lmarky,'k','LineWidth',8);
% %         scatter(foodx,foody,80, 'y', 'filled');
% %           frames=wigglestartindex(wigglesinmainpath(1)):wiggleendindex(wigglesinmainpath(end));
% %         plot(Xpos(frames), Ypos(frames),'b', 'LineWidth', 2); %bits chopped off start of path
 end % if plotindivpathfigs==1
%% *
 if plotfaceanglefigs==1
    
%Positions of various things in arena
        figfoodang=0;
        fooddistance=55;
           %Get pattern locations
         scrsz = get(0,'ScreenSize');%gets screenzize setting. Used later to make figs the right size
        if AATestFlag==0
        figpatternledgeang=64.0986;
        figpatternredgeang=45;
        elseif AATestType==1
        figpatternledgeang=109.0986;
        figpatternredgeang=90;
        elseif AATestType==2
        figpatternledgeang=22.9183;
        figpatternredgeang=3.8197;
        elseif AATestType==3
        figpatternledgeang=[];
        figpatternredgeang=[];
        end %if TestFlag==0
         lmarkt=(((figpatternredgeang:0.1:figpatternledgeang)')/360)*(2*pi);
        [lmarkx,lmarky]=pol2cart(lmarkt,(ones(length(lmarkt),1))*60);

%select data
frames=AAfinalstartframe:AAfinalendframe;
 wraplimit=240;
 [plotfacefood, newstarts, newends]=AngleWrap(AAFacingDirFood,wraplimit);
    framestarts=[AAfinalstartframe;newstarts(newstarts>AAfinalstartframe & newstarts<AAfinalendframe)];
    frameends=[newends(newends>AAfinalstartframe & newends<AAfinalendframe);AAfinalendframe ];
 tp=AATimePath-min(AATimePath(frames));
 
 %make fig
 figure(12);hold all;
        set(gcf,'Position',[178 49 800 600]);


%%%%%%create upper plot, format axes etc
    q1=subplot(2,1,1);hold all; 
    q1.XLabel.String='Distance from centre (cm)'; q1.YLabel.String='Ant facing angle (deg)'; 
    q1.FontSize=10; q1.FontWeight='b';
    minx=0; maxx=fooddistance; miny=-wraplimit; maxy=wraplimit;
    q1.XLim=[minx maxx]; q1.YLim=[miny maxy];
    q1.XTick=[0:10:maxx];q1.YTick=[-180; -90; 0; 90; 180];
%     axis ([minx maxx miny maxy]);

    %Plot markers
    if isempty(figpatternredgeang)==0
    xcorners=[minx minx maxx maxx];
    ycorners=[figpatternredgeang figpatternledgeang figpatternledgeang figpatternredgeang];
    patch(xcorners,ycorners,[0.6 0.6 0.6],'EdgeColor','none');
    end
    plot([minx maxx], [0 0], '--', 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        
    %Plot data
    for qind=1:length(framestarts)
    plot(AARpos([framestarts(qind):frameends(qind)]'), plotfacefood([framestarts(qind):frameends(qind)]'),'Color',[0 0 0], 'LineWidth',2);
    if qind>1
        plot(AARpos([frameends(qind-1), framestarts(qind)]),[plotfacefood(frameends(qind-1)), plotfacefood(framestarts(qind))],'--','Color',[0.5 0.5 0.5]);
    end
     end
    
    %Plot food and pattern symbols on top
    scatter(maxx,figfoodang,144,'MarkerFaceColor', 'w', 'MarkerEdgeColor', [0.6 0.6 0.6], 'LineWidth', 1.5);
    if isempty(figpatternredgeang)==0
    plot([maxx maxx],[figpatternredgeang figpatternledgeang],'k','LineWidth',8);
    end
    
    
    
%%%%%%create lower plot, format axes etc
    q2=subplot(2,1,2);hold all; 
    q2.XLabel.String='Time (s)'; q2.YLabel.String='Ant facing angle (deg)'; 
    q2.FontSize=10; q2.FontWeight='b';
    minx=0; maxx=max(tp(frames)); miny=-wraplimit; maxy=wraplimit;
    q2.XLim=[minx maxx]; q2.YLim=[miny maxy];
    q2.YTick=[-180; -90; 0; 90; 180];

    %Plot markers
    if isempty(figpatternredgeang)==0
    xcorners=[minx minx maxx maxx];
    ycorners=[figpatternredgeang figpatternledgeang figpatternledgeang figpatternredgeang];
    patch(xcorners,ycorners,[0.6 0.6 0.6],'EdgeColor','none');
    end
    plot([minx maxx], [0 0], '--', 'Color', [0.6 0.6 0.6], 'LineWidth', 2);
        
    %Plot data
    for qind=1:length(framestarts)
    plot(tp([framestarts(qind):frameends(qind)]'), plotfacefood([framestarts(qind):frameends(qind)]'),'Color',[0 0 0], 'LineWidth',2);
    if qind>1
        plot(tp([frameends(qind-1), framestarts(qind)]),[plotfacefood(frameends(qind-1)), plotfacefood(framestarts(qind))],'--','Color',[0.5 0.5 0.5]);
    end
    end
    
    %Plot extrema
    plotwig=AAwigglestartindex(AAwigglestartindex>=AAfinalstartframe & AAwigglestartindex<=AAfinalendframe & AAwiggledistancetravelled>=1);
    scatter(tp(plotwig),plotfacefood(plotwig),18, 'MarkerFaceColor', [1 1 1], 'MarkerEdgeColor', 'k', 'LineWidth', 1.5)
  
%     %Plot plateuax
%     plotplat=find(AAplateaustartindex>frames(1) & AAplateauendindex<=(frames(end)));
% plotplatLeft=tp(AAplateaustartindex(plotplat));
% plotplatRight=tp(AAplateauendindex(plotplat));
%     plotplatmidy=rad2ang(circ_mean([ang2rad(plotfacefood(AAplateaustartindex(plotplat))) ang2rad(plotfacefood(AAplateauendindex(plotplat))) ],[],2));
%     boxheight=70;
% plotplatTop=plotplatmidy+(boxheight/2);
% plotplatBottom=plotplatmidy-(boxheight/2);
% for pind=1:length(plotplat)
%    patch([plotplatLeft(pind) plotplatLeft(pind) plotplatRight(pind) plotplatRight(pind)],[plotplatBottom(pind) plotplatTop(pind) plotplatTop(pind) plotplatBottom(pind)],[0.75 0.75 0.75],'EdgeColor','none');
% scatter(mean([plotplatLeft(pind) plotplatRight(pind)]), plotplatmidy(pind),10,'filled', 'k');
%    %    plot([plotplatLeft(pind) plotplatLeft(pind) plotplatRight(pind) plotplatRight(pind) plotplatLeft(pind)], [plotplatBottom(pind) plotplatTop(pind) plotplatTop(pind) plotplatBottom(pind) plotplatBottom(pind)],'Color', [0 0 0], 'LineWidth', 1.2) ; %Left
% end
  
    %Plot food and pattern symbols on top
    scatter(maxx,figfoodang,144,'MarkerFaceColor', 'w', 'MarkerEdgeColor', [0.6 0.6 0.6], 'LineWidth', 1.5);
    if isempty(figpatternredgeang)==0
    plot([maxx maxx],[figpatternredgeang figpatternledgeang],'k','LineWidth',8);
    end

   
 %Save
        savename=[filename(7:end-4) '_facingangles'];
if strcmp(filename(15),'P')==1
cd(fasavematdir);
elseif strcmp(filename(15),'1')==1
    cd(fasavematT1dir);
elseif strcmp(filename(15),'2')==1
    cd(fasavematT2dir);
elseif strcmp(filename(15),'3')==1
    cd(fasavematT3dir);
end
savefig(gcf, [savename '.fig']);

if strcmp(filename(15),'P')==1
cd(fasavetiffdir);
elseif strcmp(filename(15),'1')==1
    cd(fasavetiffT1dir);
elseif strcmp(filename(15),'2')==1
    cd(fasavetiffT2dir);
elseif strcmp(filename(15),'3')==1
    cd(fasavetiffT3dir);
end
print('-dtiffn',savename);
close(12);   


% %    %Facing angle figure - simple
% %         figure(13);hold all; set(13,'Position',[152 78 973 588]);
% %         titletext={};
% %         titletext=[titletext; 'Ant ' AntName(1:2) ', Trial ' num2str(RunNo)];
% %             if TestType==0
% %         titletext=[titletext; 'Training Trial'];
% %             else
% %         titletext=[titletext; 'Test Type ' num2str(TestType)];
% %             end
% %        frames=wigglestartindex(wigglesinmainpath(1)):wiggleendindex(wigglesinmainpath(end));     
% % subplot(2,1,1);hold all; title(titletext); xlabel('Distance from centre (cm)'); ylabel('Facing angle');
% %     minx=4.5069; maxx=55; miny=-180; maxy=180;
% %     axis ([minx maxx miny maxy]);
% %     if isempty(figpatternredgeang)==0
% %     xcorners=[minx minx maxx maxx];
% %     ycorners=[figpatternredgeang figpatternledgeang figpatternledgeang figpatternredgeang];
% %     patch(xcorners,ycorners,[0.7 0.7 0.7],'EdgeColor','none');
% %     end
% %  plot(Rpos(frames),facefood(frames),'k', 'LineWidth',2);
% %     plot([minx maxx],[figfoodang figfoodang],'--','LineWidth',2,'Color', [0.5 0.5 0.5]);
% %     scatter(maxx,figfoodang,144,'filled','y');
% %     if isempty(figpatternredgeang)==0
% %     plot([maxx maxx],[figpatternredgeang figpatternledgeang],'k','LineWidth',8);
% %     end
% % subplot(2,1,2);hold all; xlabel('Time since start (s)'); ylabel('Facing angle');
% %     tp=TimePath-min(TimePath(frames));
% %     minx=0; maxx=max(tp(frames)); miny=-180; maxy=180;
% %     axis ([minx maxx miny maxy]);
% %     if isempty(figpatternredgeang)==0
% %     xcorners=[minx minx maxx maxx];
% %     ycorners=[figpatternredgeang figpatternledgeang figpatternledgeang figpatternredgeang];
% %     patch(xcorners,ycorners,[0.7 0.7 0.7],'EdgeColor','none');
% %     end
% % plot(tp(frames),facefood(frames),'k', 'LineWidth',2);
% %     plot([minx maxx],[figfoodang figfoodang],'--','LineWidth',2,'Color', [0.5 0.5 0.5]);
% %     scatter(maxx,figfoodang,144,'filled','y');
% %     if isempty(figpatternredgeang)==0
% %     plot([maxx maxx],[figpatternredgeang figpatternledgeang],'k','LineWidth',8);
% %     end
% %     
% %   %Facing angle figure - detailed
% %         figure(14);hold all; set(14,'Position',[152 78 973 588]);
% %         titletext={};
% %         titletext=[titletext; 'Ant ' AntName(1:2) ', Trial ' num2str(RunNo)];
% %             if TestType==0
% %         titletext=[titletext; 'Training Trial'];
% %             else
% %         titletext=[titletext; 'Test Type ' num2str(TestType)];
% %             end
% %        frames=wigglestartindex(wigglesinmainpath(1)):wiggleendindex(wigglesinmainpath(end));     
% % subplot(2,1,1);hold all; title(titletext); xlabel('Distance from centre (cm)'); ylabel('Facing angle');
% %     minx=4.5069; maxx=55; miny=-180; maxy=180;
% %     axis ([minx maxx miny maxy]);
% %     if isempty(figpatternredgeang)==0
% %     xcorners=[minx minx maxx maxx];
% %     ycorners=[figpatternredgeang figpatternledgeang figpatternledgeang figpatternredgeang];
% %     patch(xcorners,ycorners,[0.7 0.7 0.7],'EdgeColor','none');
% %     end
% %  plot(Rpos(frames),facefood(frames),'k', 'LineWidth',2);
% %  scatter(Rpos(intersect(frames,wiggleendindex)), facefood(intersect(frames,wiggleendindex)),49,'c' );  
% %  scatter(Rpos(intersect(frames,plateauendindex)), facefood(intersect(frames,plateauendindex)),64,'m','LineWidth',2 );  
% %     plot([minx maxx],[figfoodang figfoodang],'--','LineWidth',2,'Color', [0.5 0.5 0.5]);
% %     scatter(maxx,figfoodang,144,'filled','y');
% %     if isempty(figpatternredgeang)==0
% %     plot([maxx maxx],[figpatternredgeang figpatternledgeang],'k','LineWidth',8);
% %     end
% %     
% % subplot(2,1,2);hold all; xlabel('Time since start (s)'); ylabel('Facing angle');
% %     tp=TimePath-min(TimePath(frames));
% %     minx=0; maxx=max(tp(frames)); miny=-180; maxy=180;
% %     axis ([minx maxx miny maxy]);
% %     if isempty(figpatternredgeang)==0
% %     xcorners=[minx minx maxx maxx];
% %     ycorners=[figpatternredgeang figpatternledgeang figpatternledgeang figpatternredgeang];
% %     patch(xcorners,ycorners,[0.7 0.7 0.7],'EdgeColor','none');
% %     end
% % plot(tp(frames),facefood(frames),'k', 'LineWidth',2);
% %  scatter(tp(intersect(frames,wiggleendindex)), facefood(intersect(frames,wiggleendindex)),49,'c' );  
% %  scatter(tp(intersect(frames,plateauendindex)), facefood(intersect(frames,plateauendindex)),64,'m','LineWidth',2 );  
% %     plot([minx maxx],[figfoodang figfoodang],'--','LineWidth',2,'Color', [0.5 0.5 0.5]);
% %     scatter(maxx,figfoodang,144,'filled','y');
% %     if isempty(figpatternredgeang)==0
% %     plot([maxx maxx],[figpatternredgeang figpatternledgeang],'k','LineWidth',8);    
% %     end
%     
%  %Facing angle with wrapped angles - simple
%  wraplimit=240;
%  [plotfacefood, newstarts, newends]=AngleWrap(facefood,wraplimit);
%   [plotorigfacefood, orignewstarts, orignewends]=AngleWrap(origfacefood,wraplimit);
%  
% % 
% %         figure(15);hold all; set(15,'Position',[152 78 973 588]);
% %         titletext={};
% %         titletext=[titletext; 'Ant ' AntName(1:2) ', Trial ' num2str(RunNo)];
% %             if TestType==0
% %         titletext=[titletext; 'Training Trial'];
% %             else
% %         titletext=[titletext; 'Test Type ' num2str(TestType)];
% %             end
% %        frames=wigglestartindex(wigglesinmainpath(1)):wiggleendindex(wigglesinmainpath(end));     
% % subplot(2,1,1);hold all; title(titletext); xlabel('Distance from centre (cm)'); ylabel('Facing angle');
% %     minx=4.5069; maxx=55; miny=-wraplimit; maxy=wraplimit;
% %     axis ([minx maxx miny maxy]);
% %     if isempty(figpatternredgeang)==0
% %     xcorners=[minx minx maxx maxx];
% %     ycorners=[figpatternredgeang figpatternledgeang figpatternledgeang figpatternredgeang];
% %     patch(xcorners,ycorners,[0.7 0.7 0.7],'EdgeColor','none');
% %     end
% %    framestarts=[wigglestartindex(wigglesinmainpath(1)); newstarts(newstarts>wigglestartindex(wigglesinmainpath(1)) & newstarts<wiggleendindex(wigglesinmainpath(end)))]; 
% %    frameends=[newends(newends>wigglestartindex(wigglesinmainpath(1)) & newends<wiggleendindex(wigglesinmainpath(end))); wiggleendindex(wigglesinmainpath(end))];
% %  for qind=1:length(framestarts)
% %     plot(Rpos([framestarts(qind):frameends(qind)]'), plotfacefood([framestarts(qind):frameends(qind)]'),'k', 'LineWidth',2);
% %     if qind>1
% %         plot(Rpos([frameends(qind-1), framestarts(qind)]),[plotfacefood(frameends(qind-1)), plotfacefood(framestarts(qind))],'--','Color',[0.5 0.5 0.5]);
% %     end
% %  end
% %     plot([minx maxx],[figfoodang figfoodang],'--','LineWidth',2,'Color', [0.5 0.5 0.5]);
% %     scatter(maxx,figfoodang,144,'filled','y');
% %     if isempty(figpatternredgeang)==0
% %     plot([maxx maxx],[figpatternredgeang figpatternledgeang],'k','LineWidth',8);
% %     end
% % subplot(2,1,2);hold all; xlabel('Time since start (s)'); ylabel('Facing angle');
% %     tp=TimePath-min(TimePath(frames));
% %     minx=0; maxx=max(tp(frames)); miny=-wraplimit; maxy=wraplimit;
% %     axis ([minx maxx miny maxy]);
% %     if isempty(figpatternredgeang)==0
% %     xcorners=[minx minx maxx maxx];
% %     ycorners=[figpatternredgeang figpatternledgeang figpatternledgeang figpatternredgeang];
% %     patch(xcorners,ycorners,[0.7 0.7 0.7],'EdgeColor','none');
% %     end
% %    framestarts=[wigglestartindex(wigglesinmainpath(1)); newstarts(newstarts>wigglestartindex(wigglesinmainpath(1)) & newstarts<wiggleendindex(wigglesinmainpath(end)))]; 
% %    frameends=[newends(newends>wigglestartindex(wigglesinmainpath(1)) & newends<wiggleendindex(wigglesinmainpath(end))); wiggleendindex(wigglesinmainpath(end))];
% %  for qind=1:length(framestarts)
% %     plot(tp([framestarts(qind):frameends(qind)]'), plotfacefood([framestarts(qind):frameends(qind)]'),'k', 'LineWidth',2);
% %     if qind>1
% %         plot(tp([frameends(qind-1), framestarts(qind)]),[plotfacefood(frameends(qind-1)), plotfacefood(framestarts(qind))],'--','Color',[0.5 0.5 0.5]);
% %     end
% %  end
% %     plot([minx maxx],[figfoodang figfoodang],'--','LineWidth',2,'Color', [0.5 0.5 0.5]);
% %     scatter(maxx,figfoodang,144,'filled','y');
% %     if isempty(figpatternredgeang)==0
% %     plot([maxx maxx],[figpatternredgeang figpatternledgeang],'k','LineWidth',8);
% %     end
%     
%   %Facing angle with wrapped angles - detailed
%    figure(16);hold all; set(16,'Position',[152 78 973 588]);
%         titletext={};
%         titletext=[titletext; 'Ant ' AntName(1:2) ', Trial ' num2str(RunNo)];
%             if TestType==0
%         titletext=[titletext; 'Training Trial'];
%             else
%         titletext=[titletext; 'Test Type ' num2str(TestType)];
%             end
%        frames=wigglestartindex(wigglesinmainpath(1)):wiggleendindex(wigglesinmainpath(end));     
% subplot(2,1,1);hold all; title(titletext); xlabel('Distance from centre (cm)'); ylabel('Facing angle');
%     minx=4.5069; maxx=fooddistance; miny=-wraplimit; maxy=wraplimit;
%     axis ([minx maxx miny maxy]);
%     piind=find(plateaustartindex>frames(1) & plateauendindex<=(frames(end)));
% %       patchy=repmat([miny;miny;maxy;maxy],1,length(piind));
% %        rstarts=min([Rpos(plateaustartindex(piind)) Rpos(plateauendindex(piind))],[],2);
% %        rends=max([Rpos(plateaustartindex(piind)) Rpos(plateauendindex(piind))],[],2);
% %       patchx=[rstarts'; rends'; rends'; rstarts'];
% %   if any(([size(patchx) size(patchy)])==0)==0    
% %     origpatch=patch(patchx,patchy,[0.8 0.8 0.8],'EdgeColor','none','FaceAlpha',0.85);
% %   end
% 
%     qp=piind;
%     if isempty(figpatternredgeang)==0
%     xcorners=[minx minx maxx maxx];
%     ycorners=[figpatternredgeang figpatternledgeang figpatternledgeang figpatternredgeang];
%     patch(xcorners,ycorners,[0.7 0.7 0.7],'EdgeColor','none');
%     end
%    framestarts=[wigglestartindex(wigglesinmainpath(1)); newstarts(newstarts>wigglestartindex(wigglesinmainpath(1)) & newstarts<wiggleendindex(wigglesinmainpath(end)))]; 
%    frameends=[newends(newends>wigglestartindex(wigglesinmainpath(1)) & newends<wiggleendindex(wigglesinmainpath(end))); wiggleendindex(wigglesinmainpath(end))];
%  for qind=1:length(framestarts)
%     plot(Rpos([framestarts(qind):frameends(qind)]'), plotfacefood([framestarts(qind):frameends(qind)]'),'Color',[0 0 0], 'LineWidth',2);
%     if qind>1
%         plot(Rpos([frameends(qind-1), framestarts(qind)]),[plotfacefood(frameends(qind-1)), plotfacefood(framestarts(qind))],'--','Color',[0.5 0.5 0.5]);
%     end
%  end
% %  scatter(Rpos(intersect(frames,wiggleendindex)), plotfacefood(intersect(frames,wiggleendindex)),49,'b' );  
% % scatter(Rpos(intersect(frames,plateauendindex)), plotfacefood(intersect(frames,plateauendindex)),64,'m','LineWidth',2 );  
%     plot([minx maxx],[figfoodang figfoodang],'--','LineWidth',2,'Color', [0.5 0.5 0.5]);
%     scatter(maxx,figfoodang,144,'filled','y');
%     if isempty(figpatternredgeang)==0
%     plot([maxx maxx],[figpatternredgeang figpatternledgeang],'k','LineWidth',8);
%     end
%  scatter(Rpos(plateaustartindex(piind)), plotfacefood(plateaustartindex(piind)),12, 'MarkerFaceColor', [1 1 1], 'MarkerEdgeColor', [0 0 0]);
% 
% subplot(2,1,2);hold all; xlabel('Time since start (s)'); ylabel('Facing angle');
%     tp=TimePath-min(TimePath(frames));
%     minx=0; maxx=max(tp(frames)); miny=-wraplimit; maxy=wraplimit;
%     axis ([minx maxx miny maxy]);
%     piind=find(plateaustartindex>frames(1) & plateauendindex<=(frames(end)));
%        patchy=repmat([miny;miny;maxy;maxy],1,length(piind));
%       patchx=[tp(plateaustartindex(piind))'; tp(plateauendindex(piind))'; tp(plateauendindex(piind))'; tp(plateaustartindex(piind))'];
%  if any(([size(patchx) size(patchy)])==0)==0  
%     origpatch=patch(patchx,patchy,[0.8 0.8 0.8],'EdgeColor','none','FaceAlpha',0.85);
%  end
%     if isempty(figpatternredgeang)==0
%     xcorners=[minx minx maxx maxx];
%     ycorners=[figpatternredgeang figpatternledgeang figpatternledgeang figpatternredgeang];
%     patch(xcorners,ycorners,[0.7 0.7 0.7],'EdgeColor','none');
%     end
%    framestarts=[wigglestartindex(wigglesinmainpath(1)); newstarts(newstarts>wigglestartindex(wigglesinmainpath(1)) & newstarts<wiggleendindex(wigglesinmainpath(end)))]; 
%    frameends=[newends(newends>wigglestartindex(wigglesinmainpath(1)) & newends<wiggleendindex(wigglesinmainpath(end))); wiggleendindex(wigglesinmainpath(end))];
%  for qind=1:length(framestarts)
%     plot(tp([framestarts(qind):frameends(qind)]'), plotfacefood([framestarts(qind):frameends(qind)]'),'k', 'LineWidth',2);
%     if qind>1
%         plot(tp([frameends(qind-1), framestarts(qind)]),[plotfacefood(frameends(qind-1)), plotfacefood(framestarts(qind))],'--','Color',[0.5 0.5 0.5]);
%     end
%  end
% %  scatter(tp(intersect(frames,wiggleendindex)), plotfacefood(intersect(frames,wiggleendindex)),49,'b' );  
% %  scatter(tp(intersect(frames,plateauendindex)), plotfacefood(intersect(frames,plateauendindex)),64,'m','LineWidth',2 );  
%     plot([minx maxx],[figfoodang figfoodang],'--','LineWidth',2,'Color', [0.5 0.5 0.5]);
%     scatter(maxx,figfoodang,144,'filled','y');
%     if isempty(figpatternredgeang)==0
%     plot([maxx maxx],[figpatternredgeang figpatternledgeang],'k','LineWidth',8);    
%     end
%   scatter(tp(plateaustartindex(piind)), plotfacefood(plateaustartindex(piind)),12, 'MarkerFaceColor', [1 1 1], 'MarkerEdgeColor', [0 0 0]);
%  
%  
% %unsmoothed facing angle
%    figure(301);hold all; set(301,'Position',[152 317 973 350]);
%         titletext={};
%         titletext=[titletext; 'Ant ' AntName(1:2) ', Trial ' num2str(RunNo)];
%             if TestType==0
%         titletext=[titletext; 'Training Trial'];
%             else
%         titletext=[titletext; 'Test Type ' num2str(TestType)];
%             end
%        frames=wigglestartindex(wigglesinmainpath(1)):wiggleendindex(wigglesinmainpath(end));     
% 
%  hold all; xlabel('Time since start (s)'); ylabel('Facing angle');
%     tp=TimePath-min(TimePath(frames));
%     minx=0; maxx=max(tp(frames)); miny=-wraplimit; maxy=wraplimit;
%     axis ([minx maxx miny maxy]);
%     
%     if isempty(figpatternredgeang)==0
%     xcorners=[minx minx maxx maxx];
%     ycorners=[figpatternredgeang figpatternledgeang figpatternledgeang figpatternredgeang];
%     patch(xcorners,ycorners,[0.7 0.7 0.7],'EdgeColor','none');
%     end
%     
%     piind=find(oldplateaustartindex>frames(1) & oldplateauendindex<=(frames(end)));
%        patchy=repmat([miny;miny;maxy;maxy],1,length(piind));
%       patchx=[tp(oldplateaustartindex(piind))'; tp(oldplateauendindex(piind))'; tp(oldplateauendindex(piind))'; tp(oldplateaustartindex(piind))'];
%  if any(([size(patchx) size(patchy)])==0)==0  
%     oldpatch=patch(patchx,patchy,'y','EdgeColor','none','FaceAlpha',0.6);
%  end
%  
%     piind=find(plateaustartindex>frames(1) & plateauendindex<=(frames(end)));
%        patchy=repmat([miny+15;miny+15;maxy-15;maxy-15],1,length(piind));
%       patchx=[tp(plateaustartindex(piind))'; tp(plateauendindex(piind))'; tp(plateauendindex(piind))'; tp(plateaustartindex(piind))'];
%  if any(([size(patchx) size(patchy)])==0)==0  
%     newpatch=patch(patchx,patchy,'b','EdgeColor','none','FaceAlpha',0.6);
%  end
%  
% 
%    framestarts=[wigglestartindex(wigglesinmainpath(1)); newstarts(newstarts>wigglestartindex(wigglesinmainpath(1)) & newstarts<wiggleendindex(wigglesinmainpath(end)))]; 
%    frameends=[newends(newends>wigglestartindex(wigglesinmainpath(1)) & newends<wiggleendindex(wigglesinmainpath(end))); wiggleendindex(wigglesinmainpath(end))];
%  for qind=1:length(framestarts)
%     plot(tp([framestarts(qind):frameends(qind)]'), plotorigfacefood([framestarts(qind):frameends(qind)]'),'k');
%     if qind>1
%         plot(tp([frameends(qind-1), framestarts(qind)]),[plotorigfacefood(frameends(qind-1)), plotfacefood(framestarts(qind))],'--','Color',[0.5 0.5 0.5]);
%     end
%  end
% %  scatter(tp(intersect(frames,wiggleendindex)), plotfacefood(intersect(frames,wiggleendindex)),49,'b' );  
% %  scatter(tp(intersect(frames,plateauendindex)), plotfacefood(intersect(frames,plateauendindex)),64,'m','LineWidth',2 );  
%     plot([minx maxx],[figfoodang figfoodang],'--','LineWidth',1,'Color', [0.5 0.5 0.5]);
%     scatter(maxx,figfoodang,144,'filled','y');
%     if isempty(figpatternredgeang)==0
%     plot([maxx maxx],[figpatternredgeang figpatternledgeang],'k','LineWidth',8);    
%     end
%  
%  
%  
%  
%  
 
 end %if plotfaceanglefigs==
%% * 
%  plotcomparisonfigs=1;
 if plotcomparisonfigs==1
  frames=wigglestartindex(wigglesinmainpath(1)):wiggleendindex(wigglesinmainpath(end));     
  tp=TimePath-min(TimePath(frames));
  tstarts=0:30:tp(frames(end));
  tstartind=zeros(size(tstarts));
  for sqind=1:length(tstartind)
      tstartind(sqind)=find(tp>=tstarts(sqind),1);
  end
  if length(tstartind)>1
      tendind=[tstartind(2:end)-1 frames(end)];
  else
      tendind=frames(end);
  end
  for sqind=1:length(tstartind)
   figure(17);hold all; set(17,'Position',[18 290 1470 308]);
   titletext={};
        titletext=[titletext; 'Ant ' AntName(1:2) ', Trial ' num2str(RunNo) ', Comparison fig #' num2str(sqind) ' of ' num2str(length(tstartind))];
            if TestType==0
        titletext=[titletext; 'Training Trial'];
            else
        titletext=[titletext; 'Test Type ' num2str(TestType)];
            end
   title(titletext);      
   miny=-200;maxy=200;
   axis([tp(tstartind(sqind)) tp(tstartind(sqind))+30 miny maxy]);
   
   newplatind=find(plateaustartindex>=tstartind(sqind) & plateauendindex<=tendind(sqind));
      patchy=repmat([miny;miny;maxy;maxy],1,length(newplatind));
      patchx=[tp(plateaustartindex(newplatind))'; tp(plateauendindex(newplatind))'; tp(plateauendindex(newplatind))'; tp(plateaustartindex(newplatind))'];
 if any(([size(patchx) size(patchy)])==0)==0  
    newpatch=patch(patchx,patchy,[0.4 0.4 0.4],'EdgeColor','none','FaceAlpha',0.85);
 end
    oldplatind=find(oldplateaustartindex>=tstartind(sqind) & oldplateauendindex<=tendind(sqind));
      patchy=repmat([0.6*miny;0.6*miny;0.6*maxy;0.6*maxy],1,length(oldplatind));
      patchx=[tp(oldplateaustartindex(oldplatind))'; tp(oldplateauendindex(oldplatind))'; tp(oldplateauendindex(oldplatind))'; tp(oldplateaustartindex(oldplatind))'];
 if any(([size(patchx) size(patchy)])==0)==0  
    oldpatch=patch(patchx,patchy,[0.8 0.8 0.8],'EdgeColor','none','FaceAlpha',0.85);
 end

 plot(tp(tstartind(sqind):tendind(sqind)), origfacefood(tstartind(sqind):tendind(sqind)),'k');

 cd(savecomparisonfigdir)
 if TestType==0
    titletext=[AntName(1:2) '_Trial' num2str(RunNo) '_Training'];
 else
    titletext=[AntName(1:2) '_Trial' num2str(RunNo) '_TestType' num2str(TestType)];    
 end
 savename=[titletext '_plateaucomparison_' num2str(sqind) 'of' num2str(length(tstartind))];
     print('-dtiffn',savename);
     close(17);
   
  end %for sqind=1:length(tstartind)
  
 end %if plotcomparisonfigs==1
 %% *
%  
%  if    plotindivpathfigs==1 | plotfaceanglefigs==1;
%     %Save and clear individual figures
%     cd(saveindivfigdir)
%     if TestType==0
%     titletext=[AntName(1:2) '_Trial' num2str(RunNo) '_Training'];
%     else
%     titletext=[AntName(1:2) '_Trial' num2str(RunNo) '_TestType' num2str(TestType)];    
%     end
%  end
%  
%  if plotindivpathfigs==1
%     figure(11);
%      savename=[titletext '_track_detailed'];
%      print('-dtiffn',savename);
%      close(11); 
% %     figure(12);
% %      savename=[titletext '_track_simple'];
% %      print('-dtiffn',savename);
% %      close(12);
%  end %if    plotindivpathfigs==1
%  if plotfaceanglefigs==1;
% %     figure(13);
% %      savename=[titletext '_facingangle_simple'];
% %      print('-dtiffn',savename);
% %      close(13);
% %     figure(14);
% %      savename=[titletext '_facingangle_detailed'];
% %      print('-dtiffn',savename);
% %      close(14);
% %     figure(15);
% %      savename=[titletext '_wrappedfacingangle_simple'];
% %      print('-dtiffn',savename);
% %      close(15);
%     figure(16);
%      savename=[titletext '_wrappedfacingangle_detailed'];
%      print('-dtiffn',savename);
%      close(16);
%     figure(301);
%      savename=[titletext '_unsmoothedfacingangle_newvsold'];
%      print('-dtiffn',savename);
%      close(301);
%     
%  end %if plotfaceanglefigs==0;
%% 
 %Multipath figures   
 %Add paths one by one + count the no of ants and paths for each fig
 
          frames=wigglestartindex(wigglesinmainpath(1)):wiggleendindex(wigglesinmainpath(end));
if plotmultipathfigs==1;
        if TestType==0
            figure(100);
            plot(Xpos(frames), Ypos(frames),'k', 'LineWidth', 0.1);
             antlist100=[antlist100; AntName(1:2)];
             pathcount100=pathcount100+1;
            if ClassDirWholePath==1 %>30
                figure(210);
                plot(Xpos(frames), Ypos(frames),'k', 'LineWidth', 0.1);
                 antlist210=[antlist210; AntName(1:2)];
                 pathcount210=pathcount210+1;
            elseif ClassDirWholePath==2 %+/-30
                figure(200);
                plot(Xpos(frames), Ypos(frames),'k', 'LineWidth', 0.1);
                 antlist200=[antlist200; AntName(1:2)];
                 pathcount200=pathcount200+1;
            elseif ClassDirWholePath==3 %<-30
                figure(220);
                plot(Xpos(frames), Ypos(frames),'k', 'LineWidth', 0.1);
                 antlist220=[antlist220; AntName(1:2)];
                 pathcount220=pathcount220+1;
            end

            if ptflag==1
                    figure(106);
                    plot(Xpos(frames), Ypos(frames),'k', 'LineWidth', 0.1);
                     antlist106=[antlist106; AntName(1:2)];
                     pathcount106=pathcount106+1;
                    if ClassDirWholePath==1 %>30
                        figure(216);
                        plot(Xpos(frames), Ypos(frames),'k', 'LineWidth', 0.1);
                         antlist216=[antlist216; AntName(1:2)];
                         pathcount216=pathcount216+1;
                    elseif ClassDirWholePath==2 %+/-30
                        figure(206);
                        plot(Xpos(frames), Ypos(frames),'k', 'LineWidth', 0.1);
                         antlist206=[antlist206; AntName(1:2)];
                         pathcount206=pathcount206+1;
                    elseif ClassDirWholePath==3 %<-30
                        figure(226);
                        plot(Xpos(frames), Ypos(frames),'k', 'LineWidth', 0.1);
                         antlist226=[antlist226; AntName(1:2)];
                         pathcount226=pathcount226+1;
                    end
            end

        elseif TestType==1
            figure(101);
            plot(Xpos(frames), Ypos(frames),'k', 'LineWidth', 0.1);
             antlist101=[antlist101; AntName(1:2)];
             pathcount101=pathcount101+1;
            if ClassDirWholePath==1 %>30
                figure(211);
                plot(Xpos(frames), Ypos(frames),'k', 'LineWidth', 0.1);
                 antlist211=[antlist211; AntName(1:2)];
                 pathcount211=pathcount211+1;
            elseif ClassDirWholePath==2 %+/-30
                figure(201);
                plot(Xpos(frames), Ypos(frames),'k', 'LineWidth', 0.1);
                 antlist201=[antlist201; AntName(1:2)];
                 pathcount201=pathcount201+1;
            elseif ClassDirWholePath==3 %<-30
                figure(221);
                plot(Xpos(frames), Ypos(frames),'k', 'LineWidth', 0.1);
                 antlist221=[antlist221; AntName(1:2)];
                 pathcount221=pathcount221+1;
            end
        elseif TestType==2
            figure(102);
            plot(Xpos(frames), Ypos(frames),'k', 'LineWidth', 0.1);
             antlist102=[antlist102; AntName(1:2)];
             pathcount102=pathcount102+1;
            if ClassDirWholePath==1 %>30
                figure(212);
                plot(Xpos(frames), Ypos(frames),'k', 'LineWidth', 0.1);
                 antlist212=[antlist212; AntName(1:2)];
                 pathcount212=pathcount212+1;
            elseif ClassDirWholePath==2 %+/-30
                figure(202);
                plot(Xpos(frames), Ypos(frames),'k', 'LineWidth', 0.1);
                 antlist202=[antlist202; AntName(1:2)];
                 pathcount202=pathcount202+1;
            elseif ClassDirWholePath==3 %<-30
                figure(222);
                plot(Xpos(frames), Ypos(frames),'k', 'LineWidth', 0.1);
                 antlist222=[antlist222; AntName(1:2)];
                 pathcount222=pathcount222+1;
            end
        elseif TestType==3
            figure(103);
            plot(Xpos(frames), Ypos(frames),'k', 'LineWidth', 0.1);
             antlist103=[antlist103; AntName(1:2)];
             pathcount103=pathcount103+1;
            if ClassDirWholePath==1 %>30
                figure(213);
                plot(Xpos(frames), Ypos(frames),'k', 'LineWidth', 0.1);
                 antlist213=[antlist213; AntName(1:2)];
                 pathcount213=pathcount213+1;
            elseif ClassDirWholePath==2 %+/-30
                figure(203);
                plot(Xpos(frames), Ypos(frames),'k', 'LineWidth', 0.1);
                 antlist203=[antlist203; AntName(1:2)];
                 pathcount203=pathcount203+1;
            elseif ClassDirWholePath==3 %<-30
                figure(223);
                plot(Xpos(frames), Ypos(frames),'k', 'LineWidth', 0.1);
                 antlist223=[antlist223; AntName(1:2)];
                 pathcount223=pathcount223+1;
            end 
        end   
end %plotmultipathfigs==1
    
%% *    
%Save global variables
cd(savedir)
save(globalsavename, 'AR*', 'AW*', 'AP*', 'AS*', 'AM*');
    
%% *

                        end %if length(THETA)>10
        
%                      end %if isempty(X)==0 & isempty(Y)==0

%                 end %if any(i==runlist)
    
            end %for i=runlist'
%         end %if isempty(runlist)==0
    
%     end %for j=1:size(antlist,1)

end %for rind=1:length(rawdir)


%% *   
%Add text to multi-path figs then save
if plotmultipathfigs==1
cd(savemultipathfigdir);
    figure(100);
     attext={['A: ' num2str(length(unique(antlist100)))]};
     attext=[attext; ['P: ' num2str(pathcount100)]];
     text(50,50, attext);
    print('-dtiffn','AllTrainingTrials');
%     hgexport(gcf, 'AllTrainingTrials');
    savefig(gcf, ['AllTrainingTrials' '.fig']);
    figure(106);
     attext={['A: ' num2str(length(unique(antlist106)))]};
     attext=[attext; ['P: ' num2str(pathcount106)]];
     text(50,50, attext);
    print('-dtiffn','TrainingTrialsPrecedingTest');
%     hgexport(gcf, 'TrainingTrialsPrecedingTest');
    savefig(gcf, ['TrainingTrialsPrecedingTest' '.fig']);
    figure(101);
     attext={['A: ' num2str(length(unique(antlist101)))]};
     attext=[attext; ['P: ' num2str(pathcount101)]];
     text(50,50, attext);
    print('-dtiffn','AllTest1');
%     hgexport(gcf, 'AllTest1');
    savefig(gcf, ['AllTest1' '.fig']);
    figure(102);
     attext={['A: ' num2str(length(unique(antlist102)))]};
     attext=[attext; ['P: ' num2str(pathcount102)]];
     text(50,50, attext);
    print('-dtiffn','AllTest2');
%     hgexport(gcf, 'AllTest2');
    savefig(gcf, ['AllTest2' '.fig']);
    figure(103);
     attext={['A: ' num2str(length(unique(antlist103)))]};
     attext=[attext; ['P: ' num2str(pathcount103)]];
     text(50,50, attext);
    print('-dtiffn','AllTest3');
%     hgexport(gcf, 'AllTest3');
    savefig(gcf, ['AllTest3' '.fig']);
    figure(200);
     attext={['A: ' num2str(length(unique(antlist200)))]};
     attext=[attext; ['P: ' num2str(pathcount200)]];
     text(50,50, attext);
    print('-dtiffn','TrainingTrials_within30d');
%     hgexport(gcf, 'TrainingTrials_within30d');
    savefig(gcf, ['TrainingTrials_within30d' '.fig']);
    figure(210);
     attext={['A: ' num2str(length(unique(antlist210)))]};
     attext=[attext; ['P: ' num2str(pathcount210)]];
     text(50,50, attext);
    print('-dtiffn','TrainingTrials_exceeding30dleft');
%     hgexport(gcf, 'TrainingTrials_exceeding30dleft');
    savefig(gcf, ['TrainingTrials_exceeding30dleft' '.fig']);
    figure(220);
     attext={['A: ' num2str(length(unique(antlist220)))]};
     attext=[attext; ['P: ' num2str(pathcount220)]];
     text(50,50, attext);
    print('-dtiffn','TrainingTrials_exceeding30dright');
%     hgexport(gcf, 'TrainingTrials_exceeding30dright');
    savefig(gcf, ['TrainingTrials_exceeding30dright' '.fig']);
    figure(206);
     attext={['A: ' num2str(length(unique(antlist206)))]};
     attext=[attext; ['P: ' num2str(pathcount206)]];
     text(50,50, attext);
    print('-dtiffn','PreTestTraining_within30d');
%     hgexport(gcf, 'PreTestTraining_within30d');
    savefig(gcf, ['PreTestTraining_within30d' '.fig']);
    figure(216);
     attext={['A: ' num2str(length(unique(antlist216)))]};
     attext=[attext; ['P: ' num2str(pathcount216)]];
     text(50,50, attext);
    print('-dtiffn','PreTestTraining_exceeding30dleft');
%     hgexport(gcf, 'PreTestTraining_exceeding30dleft');
    savefig(gcf, ['PreTestTraining_exceeding30dleft' '.fig']);
    figure(226);
     attext={['A: ' num2str(length(unique(antlist226)))]};
     attext=[attext; ['P: ' num2str(pathcount226)]];
     text(50,50, attext);
    print('-dtiffn','PreTestTraining_exceeding30dright');
%     hgexport(gcf, 'PreTestTraining_exceeding30dright');
    savefig(gcf, ['PreTestTraining_exceeding30dright' '.fig']);
    figure(201);
     attext={['A: ' num2str(length(unique(antlist201)))]};
     attext=[attext; ['P: ' num2str(pathcount201)]];
     text(50,50, attext);
    print('-dtiffn','Test1_within30d');
%     hgexport(gcf, 'Test1_within30d');
    savefig(gcf, ['Test1_within30d' '.fig']);
    figure(211);
     attext={['A: ' num2str(length(unique(antlist211)))]};
     attext=[attext; ['P: ' num2str(pathcount211)]];
     text(50,50, attext);
    print('-dtiffn','Test1_exceeding30dleft');
%     hgexport(gcf, 'Test1_exceeding30dleft');
    savefig(gcf, ['Test1_exceeding30dleft' '.fig']);
    figure(221);
     attext={['A: ' num2str(length(unique(antlist221)))]};
     attext=[attext; ['P: ' num2str(pathcount221)]];
     text(50,50, attext);
    print('-dtiffn','Test1_exceeding30dright');
%     hgexport(gcf, 'Test1_exceeding30dright');
    savefig(gcf, ['Test1_exceeding30dright' '.fig']);
    figure(202);
     attext={['A: ' num2str(length(unique(antlist202)))]};
     attext=[attext; ['P: ' num2str(pathcount202)]];
     text(50,50, attext);
    print('-dtiffn','Test2_within30d');
%     hgexport(gcf, 'Test2_within30d');
    savefig(gcf, ['Test2_within30d' '.fig']);
    figure(212);
     attext={['A: ' num2str(length(unique(antlist212)))]};
     attext=[attext; ['P: ' num2str(pathcount212)]];
     text(50,50, attext);
    print('-dtiffn','Test2_exceeding30dleft');
%     hgexport(gcf, 'Test2_exceeding30dleft');
    savefig(gcf, ['Test2_exceeding30dleft' '.fig']);
    figure(222);
     attext={['A: ' num2str(length(unique(antlist222)))]};
     attext=[attext; ['P: ' num2str(pathcount222)]];
     text(50,50, attext);
    print('-dtiffn','Test2_exceeding30dright');
%     hgexport(gcf, 'Test2_exceeding30dright');
    savefig(gcf, ['Test2_exceeding30dright' '.fig']);
    figure(203);
     attext={['A: ' num2str(length(unique(antlist203)))]};
     attext=[attext; ['P: ' num2str(pathcount203)]];
     text(50,50, attext);
    print('-dtiffn','Test3_within30d');
%     hgexport(gcf, 'Test3_within30d');
    savefig(gcf, ['Test3_within30d' '.fig']);
    figure(213);
     attext={['A: ' num2str(length(unique(antlist213)))]};
     attext=[attext; ['P: ' num2str(pathcount213)]];
     text(50,50, attext);
    print('-dtiffn','Test3_exceeding30dleft');
%     hgexport(gcf, 'Test3_exceeding30dleft');
    savefig(gcf, ['Test3_exceeding30dleft' '.fig']);
    figure(223);
     attext={['A: ' num2str(length(unique(antlist223)))]};
     attext=[attext; ['P: ' num2str(pathcount223)]];
     text(50,50, attext);
    print('-dtiffn','Test3_exceeding30dright');
%     hgexport(gcf, 'Test3_exceeding30dright');
    savefig(gcf, ['Test3_exceeding30dright' '.fig']);
    
    close all;
end %if plotmultipathfigs==1
%% 
%Save global variables
cd(savedir)
save(globalsavename, 'AR*', 'AW*', 'AP*', 'AS*', 'AM*');

disp('!Finished!');
toc